summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-01-26 13:40:25 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-01-26 13:40:25 +0000
commit12e97c9c7b8570130131c95ef49e842a67af266f (patch)
tree8a0db7164e5c5ec120383d362f00f61971bdd452 /dev-python
parente508730165ab3e82323822d520aa96b5b1f913af (diff)
downloadbaldeagleos-repo-12e97c9c7b8570130131c95ef49e842a67af266f.tar.gz
baldeagleos-repo-12e97c9c7b8570130131c95ef49e842a67af266f.tar.xz
baldeagleos-repo-12e97c9c7b8570130131c95ef49e842a67af266f.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/aesara/Manifest1
-rw-r--r--dev-python/aesara/aesara-2.3.8.ebuild69
-rw-r--r--dev-python/appdirs/appdirs-1.4.4-r2.ebuild37
-rw-r--r--dev-python/bandit/Manifest1
-rw-r--r--dev-python/bandit/bandit-1.7.2.ebuild34
-rw-r--r--dev-python/boto3/Manifest1
-rw-r--r--dev-python/boto3/boto3-1.20.43.ebuild60
-rw-r--r--dev-python/botocore/Manifest1
-rw-r--r--dev-python/botocore/botocore-1.23.43.ebuild65
-rw-r--r--dev-python/cerberus/cerberus-1.3.4.ebuild2
-rw-r--r--dev-python/django-configurations/Manifest1
-rw-r--r--dev-python/django-configurations/django-configurations-2.3.2.ebuild43
-rw-r--r--dev-python/flit_core/flit_core-3.6.0-r2.ebuild5
-rw-r--r--dev-python/google-auth/Manifest1
-rw-r--r--dev-python/google-auth/google-auth-2.5.0.ebuild55
-rw-r--r--dev-python/graph-tool/Manifest1
-rw-r--r--dev-python/graph-tool/graph-tool-2.43.ebuild84
-rw-r--r--dev-python/installer/installer-0.4.0_p20220124.ebuild5
-rw-r--r--dev-python/more-itertools/more-itertools-8.12.0-r1.ebuild37
-rw-r--r--dev-python/moto/Manifest1
-rw-r--r--dev-python/moto/moto-3.0.1.ebuild84
-rw-r--r--dev-python/notebook/Manifest1
-rw-r--r--dev-python/notebook/notebook-6.4.8.ebuild97
-rw-r--r--dev-python/numpy/Manifest16
-rw-r--r--dev-python/numpy/files/numpy-1.21.3-unaligned-array.patch45
-rw-r--r--dev-python/numpy/files/numpy-1.21.4-copy-python-3.9.patch52
-rw-r--r--dev-python/numpy/numpy-1.21.1-r1.ebuild144
-rw-r--r--dev-python/numpy/numpy-1.21.2-r1.ebuild144
-rw-r--r--dev-python/numpy/numpy-1.21.3-r1.ebuild152
-rw-r--r--dev-python/numpy/numpy-1.21.4-r2.ebuild162
-rw-r--r--dev-python/numpy/numpy-1.21.4.ebuild151
-rw-r--r--dev-python/numpy/numpy-1.21.5.ebuild2
-rw-r--r--dev-python/ordered-set/ordered-set-4.0.2-r1.ebuild37
-rw-r--r--dev-python/ordered-set/ordered-set-4.0.2.ebuild2
-rw-r--r--dev-python/packaging/packaging-21.3-r2.ebuild49
-rw-r--r--dev-python/pdm-pep517/pdm-pep517-0.10.1-r1.ebuild65
-rw-r--r--dev-python/pikepdf/Manifest1
-rw-r--r--dev-python/pikepdf/pikepdf-4.4.1.ebuild53
-rw-r--r--dev-python/prometheus_client/Manifest1
-rw-r--r--dev-python/prometheus_client/prometheus_client-0.13.0.ebuild25
-rw-r--r--dev-python/proto-plus/Manifest1
-rw-r--r--dev-python/proto-plus/proto-plus-1.19.9.ebuild36
-rw-r--r--dev-python/py-zabbix/Manifest1
-rw-r--r--dev-python/py-zabbix/metadata.xml13
-rw-r--r--dev-python/py-zabbix/py-zabbix-1.1.7.ebuild16
-rw-r--r--dev-python/pyparsing/pyparsing-3.0.7-r1.ebuild60
-rw-r--r--dev-python/python-systemd/python-systemd-234-r1.ebuild2
-rw-r--r--dev-python/reportlab/Manifest1
-rw-r--r--dev-python/reportlab/reportlab-3.6.6.ebuild58
-rw-r--r--dev-python/setuptools/setuptools-60.5.0-r1.ebuild107
50 files changed, 1123 insertions, 959 deletions
diff --git a/dev-python/aesara/Manifest b/dev-python/aesara/Manifest
index 8259f61c366a..1728c4a49b2c 100644
--- a/dev-python/aesara/Manifest
+++ b/dev-python/aesara/Manifest
@@ -3,3 +3,4 @@ DIST aesara-rel-2.3.4.tar.gz 8179596 BLAKE2B 972e05a64da709e171be63d7c077f8b7b00
DIST aesara-rel-2.3.5.tar.gz 8186163 BLAKE2B 04d3c020d7eb68a5d88ba98156fcc5899e019ba747864a4b679074298fddccd6a6fc531c32304f0b5c7a4cc947a864e588a54399e85d30e97972fe8fd9cd9c97 SHA512 97bebb811ef79959106581a5b4021be5d63bb3aaecdf8b8d045de0a8587e795f4d564f19f50c62d65e42bad6c07b0aa81bd0b295f2fbd23fcd58e7347f811439
DIST aesara-rel-2.3.6.tar.gz 8188713 BLAKE2B a8c9309fdd11e265f73651f1b5e6abac099b12a9cd266200c895f6b235d40eb6a9fa1eb19b9fd8db1c7b0577d1aab8ad4e75093782dd0f6bb9b3b068d4215329 SHA512 ebd55a6738730219d8609d34f2671a381a384c1457860c1bf8f989273456feabe08fa8d5630014c19f40f65b3b220919410649cfba4bea8f3379d939e22474b9
DIST aesara-rel-2.3.7.tar.gz 8192378 BLAKE2B 586a8dc0f676ed8ec15f884eacd383be8cf5b2ec42d932ad41c5759c2fff922bcfa0ea8a1d8ca1b10c35232877318d0c344ecfe15239f8ba57fed660323a8db5 SHA512 fb01552538845035481a7c00ad71537401da3be7f24e4fd1dc2677a47eda846240f55ff78ce7955b89a8e80c92541335d6d44944c4463b56a25747f373651e9a
+DIST aesara-rel-2.3.8.tar.gz 8188314 BLAKE2B 9a2e43082a19e432aaab3300fc0c6a0cc96644b00c4646ae7a509cb00cc93e8125cd73e8ed4b341197b7225c66aa33b6156ba034946610aefe178fb0aecc5ce2 SHA512 9ba0ef46e4d51f8a04edcf347e539978e357d839147307127e0c01cbc25f013a00c5d720153c58142194dd38f91c34afbc366029a163f90ab036efbea7f939af
diff --git a/dev-python/aesara/aesara-2.3.8.ebuild b/dev-python/aesara/aesara-2.3.8.ebuild
new file mode 100644
index 000000000000..43e64a0bee8c
--- /dev/null
+++ b/dev-python/aesara/aesara-2.3.8.ebuild
@@ -0,0 +1,69 @@
+# Copyright 2021-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1 multiprocessing optfeature
+
+MY_P=aesara-rel-${PV}
+DESCRIPTION="Library for operating on mathematical expressions with multi-dimensional arrays"
+HOMEPAGE="https://github.com/aesara-devs/aesara"
+SRC_URI="https://github.com/aesara-devs/aesara/archive/rel-${PV}.tar.gz -> ${MY_P}.tar.gz"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86"
+
+RDEPEND="
+ dev-python/cons[${PYTHON_USEDEP}]
+ dev-python/etuples[${PYTHON_USEDEP}]
+ dev-python/logical-unification[${PYTHON_USEDEP}]
+ dev-python/minikanren[${PYTHON_USEDEP}]
+ dev-python/filelock[${PYTHON_USEDEP}]
+ >=dev-python/numpy-1.17.0[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+ dev-python/scipy[${PYTHON_USEDEP}]"
+BDEPEND="
+ test? (
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )"
+
+distutils_enable_sphinx doc 'dev-python/sphinx_rtd_theme'
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # speed tests are unreliable
+ tests/scan/test_basic.py::test_speed
+ tests/scan/test_basic.py::test_speed_rnn
+ tests/scan/test_basic.py::test_speed_batchrnn
+ tests/link/test_vm.py::test_speed
+ tests/link/test_vm.py::test_speed_lazy
+ tests/tensor/test_gc.py::test_merge_opt_runtime
+
+ # rounding problem?
+ # https://github.com/aesara-devs/aesara/issues/477
+ tests/tensor/test_math_scipy.py::TestGammaUBroadcast::test_good
+ tests/tensor/test_math_scipy.py::TestGammaUInplaceBroadcast::test_good
+ )
+ local EPYTEST_IGNORE=(
+ # we do not package numba
+ tests/link/test_numba.py
+ tests/link/test_numba_performance.py
+ )
+
+ epytest -n "$(makeopts_jobs "${MAKEOPTS}" "$(get_nproc)")"
+}
+
+python_compile() {
+ distutils-r1_python_compile
+ rm "${BUILD_DIR}/install$(python_get_sitedir)/bin/__init__.py" || die
+}
+
+pkg_postinst() {
+ optfeature "GPU code generation/execution on NVIDIA gpus" dev-util/nvidia-cuda-toolkit dev-util/nvidia-cuda-sdk
+ optfeature "GPU/CPU code generation on CUDA and OpenCL devices" dev-libs/libgpuarray dev-python/pycuda
+}
diff --git a/dev-python/appdirs/appdirs-1.4.4-r2.ebuild b/dev-python/appdirs/appdirs-1.4.4-r2.ebuild
new file mode 100644
index 000000000000..47f1b45dd9b4
--- /dev/null
+++ b/dev-python/appdirs/appdirs-1.4.4-r2.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# please keep this ebuild at EAPI 7 -- sys-apps/portage dep
+EAPI=7
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Module for determining appropriate platform-specific dirs"
+HOMEPAGE="https://github.com/ActiveState/appdirs"
+SRC_URI="https://github.com/ActiveState/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+
+src_configure() {
+ [[ -e pyproject.toml ]] &&
+ die "Upstream added pyproject.toml, recheck"
+ # write a custom pyproject.toml to ease setuptools bootstrap
+ cat > pyproject.toml <<-EOF || die
+ [build-system]
+ requires = ["flit_core >=3.2,<4"]
+ build-backend = "flit_core.buildapi"
+
+ [project]
+ name = "appdirs"
+ dynamic = ["version", "description"]
+ EOF
+}
+
+python_test() {
+ "${PYTHON}" test/test_api.py -v || die "Tests fail with ${EPYTHON}"
+}
diff --git a/dev-python/bandit/Manifest b/dev-python/bandit/Manifest
index 4c4d06db5849..a13401c8ce4c 100644
--- a/dev-python/bandit/Manifest
+++ b/dev-python/bandit/Manifest
@@ -1 +1,2 @@
DIST bandit-1.7.1.tar.gz 503072 BLAKE2B 1e88b662d8dda0d5c1a1fd7ee2eaa1787b8c4952acefb60c347aa98b3534d9ba212229b050dcf717169fb39132ef77d2d92af834392a0bcaa0b9fbc7d2a4804c SHA512 6543bb0f69339a8d970cf0dd1bcec1392057c5c7fbf229fa4f4e6c9d21a39206f1f3fa17509ca2038cd1671d4b57316f92ee053c1beab102e8d20096d10b685d
+DIST bandit-1.7.2.tar.gz 497104 BLAKE2B 235e8c29658db9b0916b2108a46931581384851650217a7e368f06fe9225aadf181b320a75061387b277d1e3ff3f1d38fe6d07be14f7c7d056fa06e8db84e4e4 SHA512 fde27d409dcb867285f3c7a9ee88a079dae58211e17c2157601bbff9e9144e604def3c0179a7c9016266bdf70ed9da9ca519641f4aca4e76a30859c8e01177b9
diff --git a/dev-python/bandit/bandit-1.7.2.ebuild b/dev-python/bandit/bandit-1.7.2.ebuild
new file mode 100644
index 000000000000..280c3f0986d2
--- /dev/null
+++ b/dev-python/bandit/bandit-1.7.2.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="A security linter from OpenStack Security"
+HOMEPAGE="https://github.com/PyCQA/bandit"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~s390 ~x86"
+
+RDEPEND="
+ >=dev-python/pbr-2.0.0[${PYTHON_USEDEP}]
+ >=dev-python/GitPython-1.0.1[${PYTHON_USEDEP}]
+ >=dev-python/pyyaml-5.3.1[${PYTHON_USEDEP}]
+ >=dev-python/stevedore-1.20.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ >=dev-python/pbr-2.0.0[${PYTHON_USEDEP}]
+ test? (
+ >=dev-python/fixtures-3.0.0[${PYTHON_USEDEP}]
+ >=dev-python/testscenarios-0.5.0[${PYTHON_USEDEP}]
+ >=dev-python/testtools-2.3.0[${PYTHON_USEDEP}]
+ >=dev-python/beautifulsoup4-4.8.0[${PYTHON_USEDEP}]
+ >=dev-python/pylint-1.9.4[${PYTHON_USEDEP}]
+ dev-python/toml[${PYTHON_USEDEP}]
+ )"
+
+distutils_enable_tests --install unittest
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index a7a0d8e4cb1a..7cf0d00885ee 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -4,3 +4,4 @@ DIST boto3-1.20.37.tar.gz 461197 BLAKE2B 4ae94815809401378bbd6c6b7774776c62436c3
DIST boto3-1.20.40.tar.gz 462565 BLAKE2B bd540636392678e83112e85cb6c078d657196a46ddabaa00bdd66d00d7d0aeabe525e8639bf35fa88b039226372bfa5385ea2e1eaea790ebee7f4732d2cdfae4 SHA512 5b28a2de946942c3bb68b1d073a2567bb3cbce9732f3f620ef41c4ffab7c7d6aa4f68ec1e5357f930819f3948d50ed3a58f0176206946a5eaaa42c096fd1e020
DIST boto3-1.20.41.tar.gz 463009 BLAKE2B c60443611023dd03ddcd1cc5ca951d2efdf02c221c673a01fc056788d9ef7d1704a37c006c1706c012d11219cb6c75203518796155aa3ef144154a8a86d6620a SHA512 7bec4a384c42b238bd3f6b0f58884fab357edae2ab985142b76f6b906323c0f02568046c9bbb229bb040de336ea2cbf25fa5441cd09e7c56c94f9e7de2abc763
DIST boto3-1.20.42.tar.gz 463092 BLAKE2B 5396f2c47db8aaec468a0e9cb3eebe8450dd3a91680ea3e87171186052222c14be40ceb637aa88149eb878cf9dc45a1f0ffe6f02388be3e7dfcc28e92cad032c SHA512 1ae9b70eb601c0445bd67a61681ad1d7765deace0f007320124d587be40d8761e4270ce590994c80313090d060e84080effd6f7c3e40ca01c868bbad2d1ff6c9
+DIST boto3-1.20.43.tar.gz 463424 BLAKE2B 6d67a86d4d0577b2e9d30335ddb1286f25bc866b492416ea64833bc7e8315f847393158abe898e9208b947a7e8505d18ed70885044f9059da38e8ac7a00c6a80 SHA512 95602ce59c4baa24835fcf331674e040d8e41b279bf43bfd7c00f171087644d7a335462cd1941fd1330da7909b6fe707f595ec04c0dcad02627b91fc3fdd3ffc
diff --git a/dev-python/boto3/boto3-1.20.43.ebuild b/dev-python/boto3/boto3-1.20.43.ebuild
new file mode 100644
index 000000000000..ed44d35fedd6
--- /dev/null
+++ b/dev-python/boto3/boto3-1.20.43.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="https://github.com/boto/boto3"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/boto3"
+ inherit git-r3
+ BOTOCORE_PV=${PV}
+else
+ SRC_URI="https://github.com/boto/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+ # botocore is x.(y+3).z
+ BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 3)).$(ver_cut 3-)"
+fi
+
+RDEPEND="
+ >=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.3.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # do not rely on bundled deps in botocore (sic!)
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ epytest tests/{functional,unit}
+}
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index dfd4a180cf55..c6c6f199ff5d 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -4,3 +4,4 @@ DIST botocore-1.23.37.tar.gz 8728451 BLAKE2B 039352d4c727433cc5aef435cd7527fa3bc
DIST botocore-1.23.40.tar.gz 8730992 BLAKE2B 855742e6661e497c10cee6becbc9fc5eae39b1525b11008ecc27e35126d3c2ab9ce68d5d260a974d8359eeb056dad0d79dd866b6097458989989b6ae9924e49f SHA512 cbed5c316e3976594930ae1c274fdac9e25289c9818bc515e5a27c620431b05c010736f8e94d90fb935e22e5a1c50dbd4708c7674ef6e697c35475f8757df63d
DIST botocore-1.23.41.tar.gz 8732416 BLAKE2B 2d1a3284521a608db2dbfdbb8c98fb3bd01e048fb3b4a34e3dc497b6476bcbf8cd37ea9273ae3d3b09a9356aca8d1063dafdf15ae9c7ab59bbf3cc841bcc7a24 SHA512 d3d12df8faced36a9c7a75fd01d63986cb12d56a259f31211c32cbf0f1eceb1d6708e90f6a6a43189e37b86e01ceef68fcd5dcbd1867c571ca3630cbcc7e94f5
DIST botocore-1.23.42.tar.gz 8734201 BLAKE2B 009fd49716ce5a1453c83f279f36b8b174403ef7e403caa43a030126fde6e0e9bd414dc4369791aa090d7b10065906c6a97ada1d7796553af0cbbd4af8b78d95 SHA512 bc5ec5996fb139bc18975976bb8907978caf10399867cbcf8dc39bf47a5d61749c617c704cfbbe87074a6db5f4355f645fc88f06a71251c8bd3f65adacd1d9ba
+DIST botocore-1.23.43.tar.gz 8739652 BLAKE2B 5520a9933ab87769c8459a0925822e36eba1741512bd11b575ba260ab0ea43aae66c737d66d3488aeb04cc10a2931af9136f7f80fc10bcdda309234de9bb6414 SHA512 51b11df7bf43a011df904e92285ecc373888e42e3d7e349e47df42c78432a60f692ccfbeb01fc598f9d81861823578a3cc1798340196468ee3e30de7e6a9dd03
diff --git a/dev-python/botocore/botocore-1.23.43.ebuild b/dev-python/botocore/botocore-1.23.43.ebuild
new file mode 100644
index 000000000000..c44cf37adbf0
--- /dev/null
+++ b/dev-python/botocore/botocore-1.23.43.ebuild
@@ -0,0 +1,65 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="https://github.com/boto/botocore"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/botocore"
+ inherit git-r3
+else
+ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+fi
+
+RDEPEND="
+ dev-python/six[${PYTHON_USEDEP}]
+ dev-python/jmespath[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ )
+"
+
+PATCHES=(
+ "${FILESDIR}/1.8.6-tests-pass-all-env-vars-to-cmd-runner.patch"
+)
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+
+ # unbundle deps
+ rm -r botocore/vendored || die
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # rely on bundled six
+ tests/functional/test_six_imports.py::test_no_bare_six_imports
+ tests/functional/test_six_threading.py::test_six_thread_safety
+ )
+
+ epytest tests/{functional,unit}
+}
diff --git a/dev-python/cerberus/cerberus-1.3.4.ebuild b/dev-python/cerberus/cerberus-1.3.4.ebuild
index 8648010dc5a9..16fbb0a7d2d6 100644
--- a/dev-python/cerberus/cerberus-1.3.4.ebuild
+++ b/dev-python/cerberus/cerberus-1.3.4.ebuild
@@ -3,7 +3,7 @@
EAPI=8
-PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
DISTUTILS_USE_SETUPTOOLS=rdepend
inherit distutils-r1
diff --git a/dev-python/django-configurations/Manifest b/dev-python/django-configurations/Manifest
index 4e275e7399c6..215dbd35ab05 100644
--- a/dev-python/django-configurations/Manifest
+++ b/dev-python/django-configurations/Manifest
@@ -1 +1,2 @@
DIST django-configurations-2.3.1.gh.tar.gz 38288 BLAKE2B f9d4322ad3e1fe839c6cc9d3e8eee31d0f3bbd48859f8e49b5fa72a3984517b77248278c42b4a709f1a5965cff3af336c5fea7323004b41fcc15a4ee40175524 SHA512 0d3df709fe306fba1e85d03e5ce16c954a796327d857717e3e802fc717d94f7aa5255a8422e27991faaade31c29bc90e3e05923609e68893784996ca87ca93ed
+DIST django-configurations-2.3.2.gh.tar.gz 38475 BLAKE2B 2b3c583e665a08a46bc0ca0c52ae4326fbdfb794d102deecbd13f953e8b6f3fd39b3b747c591fc9717c6a0792258cdb9041de53e71db2034de1a31ddf5bfc0ea SHA512 4cb5a7b284a0025ba93b32e158fb65b57e66230938181b921a1b1264848113b697eb45ac6ad2fc4f26f3bc29ea5f77acbfd5307b20ef2d385e29c2c1746295b3
diff --git a/dev-python/django-configurations/django-configurations-2.3.2.ebuild b/dev-python/django-configurations/django-configurations-2.3.2.ebuild
new file mode 100644
index 000000000000..46a37c710a3f
--- /dev/null
+++ b/dev-python/django-configurations/django-configurations-2.3.2.ebuild
@@ -0,0 +1,43 @@
+# Copyright 2021-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="A helper for organizing Django settings"
+HOMEPAGE="
+ https://pypi.org/project/django-configurations/
+ https://github.com/jazzband/django-configurations/
+ https://django-configurations.readthedocs.io/"
+SRC_URI="
+ https://github.com/jazzband/django-configurations/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ dev-python/django[${PYTHON_USEDEP}]"
+BDEPEND="
+ dev-python/setuptools_scm[${PYTHON_USEDEP}]
+ test? (
+ dev-python/django-cache-url[${PYTHON_USEDEP}]
+ dev-python/dj-database-url[${PYTHON_USEDEP}]
+ dev-python/dj-email-url[${PYTHON_USEDEP}]
+ dev-python/dj-search-url[${PYTHON_USEDEP}]
+ )"
+
+export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
+
+python_test() {
+ local -x DJANGO_SETTINGS_MODULE=tests.settings.main
+ local -x DJANGO_CONFIGURATION=Test
+ PYTHONPATH=. django-cadmin test -v2 || die "Tests failed with ${EPYTHON}"
+}
diff --git a/dev-python/flit_core/flit_core-3.6.0-r2.ebuild b/dev-python/flit_core/flit_core-3.6.0-r2.ebuild
index de3e0e9c9203..2f9afce8e9bc 100644
--- a/dev-python/flit_core/flit_core-3.6.0-r2.ebuild
+++ b/dev-python/flit_core/flit_core-3.6.0-r2.ebuild
@@ -1,7 +1,8 @@
# Copyright 2019-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=8
+# please keep this ebuild at EAPI 7 -- sys-apps/portage dep
+EAPI=7
DISTUTILS_USE_PEP517=standalone
PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
@@ -15,7 +16,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="BSD"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
RDEPEND="
dev-python/tomli[${PYTHON_USEDEP}]
diff --git a/dev-python/google-auth/Manifest b/dev-python/google-auth/Manifest
index b4a76b36cbf4..2099353297c8 100644
--- a/dev-python/google-auth/Manifest
+++ b/dev-python/google-auth/Manifest
@@ -1,2 +1,3 @@
DIST google-auth-2.3.3.tar.gz 186600 BLAKE2B 52b1269b88d27fafafcb053219c93c7f180cac11cdf32b140531553dda547d02087b0418d44edc6497eb37793859d86d4beaad1a7a128c86839202785584c9ab SHA512 3ab6d97e71988ef5e338e0a643545f8fa504f5ea04f4176afd9417ecf0e9a3fa45333f0c2c7ea5bf32423df32c48ec59ac9d16ef8bfc35a1aa4c0fcc114fef63
DIST google-auth-2.4.0.tar.gz 188032 BLAKE2B 27cd5a9fec2a0f98e26e4c5cfada446f9561834d8471a91bcab54b2965231ecf9d40d8d6d4240355adf0da5ffc9533ce745940a9d9eaca3fd97ed8c759e55939 SHA512 bb107b4dcf556e98f2a994d9baf10492d249b679d92c26bd96c79764d886bfb001940ac168ff0932456af15e4f2de38edc62d7c9beecadafad5e6350b13e0d95
+DIST google-auth-2.5.0.tar.gz 189396 BLAKE2B 85b6cccf46acaa15ebc58b0cc4ea906c405e8f5e1f9d5c67c1790105689bba47e9f57355751a31a051ec6f20f828e2e2d0d9e792afc5d877791deab8a3e18503 SHA512 7323f253789364d14c1c1adf148cbfff2abceec06c539e93c8f5ae4a5ee978838480f9923e3d62988d903a239434257f980ec1095a8cedc678e263d0adff6cce
diff --git a/dev-python/google-auth/google-auth-2.5.0.ebuild b/dev-python/google-auth/google-auth-2.5.0.ebuild
new file mode 100644
index 000000000000..172ae813dc8e
--- /dev/null
+++ b/dev-python/google-auth/google-auth-2.5.0.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="Google Authentication Library"
+HOMEPAGE="
+ https://github.com/googleapis/google-auth-library-python/
+ https://pypi.org/project/google-auth/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+RDEPEND="
+ <dev-python/cachetools-6.0.0[${PYTHON_USEDEP}]
+ dev-python/namespace-google[${PYTHON_USEDEP}]
+ >=dev-python/pyasn1-0.1.7[${PYTHON_USEDEP}]
+ >=dev-python/pyasn1-modules-0.2.1[${PYTHON_USEDEP}]
+ >=dev-python/rsa-3.1.4[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+ "
+BDEPEND="
+ test? (
+ dev-python/cryptography[${PYTHON_USEDEP}]
+ dev-python/flask[${PYTHON_USEDEP}]
+ dev-python/freezegun[${PYTHON_USEDEP}]
+ dev-python/grpcio[${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/moto[${PYTHON_USEDEP}]
+ dev-python/pyopenssl[${PYTHON_USEDEP}]
+ dev-python/pytest-localserver[${PYTHON_USEDEP}]
+ dev-python/pyu2f[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/responses[${PYTHON_USEDEP}]
+ dev-python/urllib3[${PYTHON_USEDEP}]
+ )"
+
+distutils_enable_tests pytest
+
+EPYTEST_IGNORE=(
+ # these are compatibility tests with oauth2client
+ # disable them to unblock removal of that package
+ tests/test__oauth2client.py
+)
+
+python_install_all() {
+ distutils-r1_python_install_all
+ find "${ED}" -name '*.pth' -delete || die
+}
diff --git a/dev-python/graph-tool/Manifest b/dev-python/graph-tool/Manifest
index 7a5039019fac..48975bee706b 100644
--- a/dev-python/graph-tool/Manifest
+++ b/dev-python/graph-tool/Manifest
@@ -1,2 +1 @@
-DIST graph-tool-2.43.tar.bz2 15170272 BLAKE2B 96570242cf2003c262024545a074bcd0f0cf9351b0c8c68035529d38d535411386d5440bb5166cfb70f24ba1540d9ce65324c659564f2ab50358dbd77bafed99 SHA512 e72dec9656acb2bb7ba43e19673fa4ff70ff4819e76bb5f00e9943e4cfe6a85f1e0eaa58c8be2921ebd783ef3d978294a347238f3700a457aaff8a98ea8ed4fc
DIST graph-tool-2.44.tar.bz2 15149379 BLAKE2B d15413f4e8642b96f62d88631c216e600e24aa878b08a173f1a00f1700aa3c6f4b1b3f806956b811b209a2d42ec1178e2488946d96f056f528a046cbd6cc330a SHA512 b90dc541ec77f89fdbb64697ec5e200d9c7c4ec4b8849c75d008b83dab8f54c95bd230f5d72e32d656f86a201ab66eee25aa774b7983355f7af9304b52527e40
diff --git a/dev-python/graph-tool/graph-tool-2.43.ebuild b/dev-python/graph-tool/graph-tool-2.43.ebuild
deleted file mode 100644
index 5dd18d410548..000000000000
--- a/dev-python/graph-tool/graph-tool-2.43.ebuild
+++ /dev/null
@@ -1,84 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_{6,7,8,9,10} )
-
-inherit check-reqs python-r1 toolchain-funcs
-
-if [[ ${PV} == *9999 ]]; then
- EGIT_REPO_URI="https://git.skewed.de/count0/graph-tool.git"
- inherit autotools git-r3
-else
- SRC_URI="https://downloads.skewed.de/${PN}/${P}.tar.bz2"
- KEYWORDS="~amd64"
-fi
-
-DESCRIPTION="An efficient python module for manipulation and statistical analysis of graphs"
-HOMEPAGE="https://graph-tool.skewed.de/"
-
-LICENSE="GPL-3"
-SLOT="0"
-IUSE="+cairo openmp"
-REQUIRED_USE="${PYTHON_REQUIRED_USE}"
-
-RDEPEND="
- ${PYTHON_DEPS}
- >=dev-libs/boost-1.70:=[context,python,${PYTHON_USEDEP}]
- dev-libs/expat
- dev-python/numpy[${PYTHON_USEDEP}]
- dev-python/scipy[${PYTHON_USEDEP}]
- sci-mathematics/cgal:=
- dev-python/matplotlib[${PYTHON_USEDEP}]
- cairo? (
- dev-cpp/cairomm:0
- dev-python/pycairo[${PYTHON_USEDEP}]
- )"
-DEPEND="${RDEPEND}
- dev-cpp/sparsehash"
-BDEPEND="virtual/pkgconfig"
-
-# bug 453544
-CHECKREQS_DISK_BUILD="6G"
-
-pkg_pretend() {
- [[ ${MERGE_TYPE} != binary ]] && use openmp && tc-check-openmp
- check-reqs_pkg_pretend
-}
-
-pkg_setup() {
- [[ ${MERGE_TYPE} != binary ]] && use openmp && tc-check-openmp
-}
-
-src_prepare() {
- default
- [[ ${PV} == *9999 ]] && eautoreconf
- python_copy_sources
-}
-
-src_configure() {
- my_configure() {
- econf \
- --disable-static \
- $(use_enable openmp) \
- $(use_enable cairo) \
- --with-boost-python="boost_${EPYTHON/./}"
- }
- python_foreach_impl run_in_build_dir my_configure
-}
-
-src_compile() {
- # most machines don't have enough ram for parallel builds
- python_foreach_impl run_in_build_dir emake -j2
-}
-
-src_install() {
- my_python_install() {
- default
- python_optimize
- }
- python_foreach_impl run_in_build_dir my_python_install
-
- find "${ED}" -name '*.la' -delete || die
-}
diff --git a/dev-python/installer/installer-0.4.0_p20220124.ebuild b/dev-python/installer/installer-0.4.0_p20220124.ebuild
index 8986c28a0b48..bd36db4c7e95 100644
--- a/dev-python/installer/installer-0.4.0_p20220124.ebuild
+++ b/dev-python/installer/installer-0.4.0_p20220124.ebuild
@@ -1,7 +1,8 @@
# Copyright 2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=8
+# please keep this ebuild at EAPI 7 -- sys-apps/portage dep
+EAPI=7
DISTUTILS_USE_SETUPTOOLS=manual
PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
@@ -26,7 +27,7 @@ S=${WORKDIR}/${PN}-${EGIT_COMMIT}
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
# NB: newer git doesn't use mock anymore
BDEPEND="
diff --git a/dev-python/more-itertools/more-itertools-8.12.0-r1.ebuild b/dev-python/more-itertools/more-itertools-8.12.0-r1.ebuild
new file mode 100644
index 000000000000..14b9cb1663bc
--- /dev/null
+++ b/dev-python/more-itertools/more-itertools-8.12.0-r1.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# please keep this ebuild at EAPI 7 -- sys-apps/portage dep
+EAPI=7
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
+inherit distutils-r1
+
+DESCRIPTION="More routines for operating on iterables, beyond itertools"
+HOMEPAGE="https://pypi.org/project/more-itertools/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+
+distutils_enable_sphinx docs \
+ dev-python/sphinx_rtd_theme
+distutils_enable_tests unittest
+
+src_configure() {
+ grep -q '\[build-system\]' pyproject.toml &&
+ die "Upstream added [build-system] to pyproject.toml, recheck"
+ # write a custom pyproject.toml to ease setuptools bootstrap
+ cat > pyproject.toml <<-EOF || die
+ [build-system]
+ requires = ["flit_core >=3.2,<4"]
+ build-backend = "flit_core.buildapi"
+
+ [project]
+ name = "more_itertools"
+ version = "${PV}"
+ description = "More routines for operating on iterables, beyond itertools"
+ EOF
+}
diff --git a/dev-python/moto/Manifest b/dev-python/moto/Manifest
index 94ba06255627..ddec90870776 100644
--- a/dev-python/moto/Manifest
+++ b/dev-python/moto/Manifest
@@ -3,3 +3,4 @@ DIST moto-2.2.20.tar.gz 2077649 BLAKE2B 595d9536b21ba442fcf0b9b40e61cc9d3105e220
DIST moto-2.3.1.tar.gz 2088810 BLAKE2B 9e1b50bec4e0a7a0bb7496fe90e8caf0b80900e35120aae931e99e0e251bd4905c7bfed670a78d230abd987d3400f93fbbaf0bcdece9d6b5e35c4b63916e72c3 SHA512 122311e549b034b0a45a1cbfbc4fd96e0c846272d460c72279a7991b967720e1732662e623acf6a5f1cbaf874f5755bcfa9dfbf8a0ac31da780de44d42e6f1be
DIST moto-2.3.2.tar.gz 2095242 BLAKE2B 17b98e09c410e48cac60ca494d6d0a6264657e8df994c0395be15b072dbc998a59b25d017b2897cd2e05429959baa427358b4f11cc3b7a517f4f4ddb88d2f2c5 SHA512 f58b9cf3f0a88964776fc92e4982408f0826a2d0149cc84cc21752030d8c9d3de3ea1a07cb529ea4d77b0d2a5ac5222a6ec24f6b88e9d7d70cc82257b883bd10
DIST moto-3.0.0.tar.gz 2012729 BLAKE2B a1f53301c08d4ca0df55e1b4233a63a2bfe011b47ac6be992714e3f57f7e4cc50aca72917ff4132001c10870bbe08c0ca32e2b48e5d676f670345478ca846aed SHA512 e5238fb5e720f91999d4f0473d9833a3e1de3632401ee647858afc4e33a46981e866a51b353d1c21b92926da7267a5ba74ef667364ae99b09efd4f12d334e03e
+DIST moto-3.0.1.tar.gz 2028942 BLAKE2B 28ca3d59fff02b0afc0efc85db0fedbf1284131d48efb839aecf80c075da0e61d5751eb80588344948129f6b59ea9794adeacdca95e06be2e51367a4deb41c19 SHA512 800eb64f77e4c7ae62b056bb8d82de70c4a1044820314269b5dc3133d6b62a3a87d54bbf672a0845709404bd6f3e8d85c5cabc05da4ee2aa96b29cafd18aa6bc
diff --git a/dev-python/moto/moto-3.0.1.ebuild b/dev-python/moto/moto-3.0.1.ebuild
new file mode 100644
index 000000000000..d598806fc275
--- /dev/null
+++ b/dev-python/moto/moto-3.0.1.ebuild
@@ -0,0 +1,84 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="Mock library for boto"
+HOMEPAGE="https://github.com/spulec/moto"
+SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/aws-xray-sdk-python-0.93[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep 'dev-python/backports-tempfile[${PYTHON_USEDEP}]' python3_{6,7})
+ dev-python/boto[${PYTHON_USEDEP}]
+ dev-python/cfn-lint[${PYTHON_USEDEP}]
+ >=dev-python/cryptography-3.3.1[${PYTHON_USEDEP}]
+ dev-python/cookies[${PYTHON_USEDEP}]
+ >=dev-python/docker-py-2.5.1[${PYTHON_USEDEP}]
+ >=dev-python/idna-2.5[${PYTHON_USEDEP}]
+ >=dev-python/jinja-2.10.1[${PYTHON_USEDEP}]
+ >=dev-python/jsondiff-1.1.2[${PYTHON_USEDEP}]
+ dev-python/boto3[${PYTHON_USEDEP}]
+ dev-python/botocore[${PYTHON_USEDEP}]
+ dev-python/flask[${PYTHON_USEDEP}]
+ dev-python/flask-cors[${PYTHON_USEDEP}]
+ dev-python/more-itertools[${PYTHON_USEDEP}]
+ dev-python/pretty-yaml[${PYTHON_USEDEP}]
+ >=dev-python/pyyaml-5.1[${PYTHON_USEDEP}]
+ >=dev-python/python-dateutil-2.1[${PYTHON_USEDEP}]
+ dev-python/pytz[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ dev-python/python-jose[${PYTHON_USEDEP}]
+ dev-python/python-sshpubkeys[${PYTHON_USEDEP}]
+ >=dev-python/responses-0.9.0[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.5[${PYTHON_USEDEP}]
+ dev-python/xmltodict[${PYTHON_USEDEP}]
+ dev-python/werkzeug[${PYTHON_USEDEP}]
+ dev-python/zipp[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/freezegun[${PYTHON_USEDEP}]
+ dev-python/responses[${PYTHON_USEDEP}]
+ >=dev-python/sure-1.4.11[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # TODO
+ tests/test_firehose/test_firehose_put.py::test_put_record_http_destination
+ tests/test_firehose/test_firehose_put.py::test_put_record_batch_http_destination
+ tests/test_sqs/test_sqs_cloudformation.py::test_describe_stack_subresources
+ tests/test_swf/responses/test_decision_tasks.py::test_respond_decision_task_completed_with_schedule_activity_task_boto3
+ tests/test_swf/responses/test_timeouts.py::test_activity_task_heartbeat_timeout_boto3
+ tests/test_swf/responses/test_timeouts.py::test_decision_task_start_to_close_timeout_boto3
+ tests/test_swf/responses/test_timeouts.py::test_workflow_execution_start_to_close_timeout_boto3
+ # broken code (local variable used referenced before definition)
+ tests/test_appsync/test_appsync_schema.py
+ # Needs network (or docker?) but not marked as such, bug #807031
+ # TODO: report upstream
+ tests/test_batch/test_batch_jobs.py::test_terminate_job
+ tests/test_batch/test_batch_jobs.py::test_cancel_running_job
+ tests/test_batch/test_batch_jobs.py::test_dependencies
+ tests/test_batch/test_batch_jobs.py::test_container_overrides
+ tests/test_cloudformation/test_cloudformation_custom_resources.py::test_create_custom_lambda_resource__verify_cfnresponse_failed
+ tests/test_cloudformation/test_cloudformation_stack_integration.py::test_lambda_function
+ tests/test_sqs/test_integration.py::test_invoke_function_from_sqs_exception
+ tests/test_sqs/test_sqs_integration.py::test_invoke_function_from_sqs_exception
+ )
+
+ # pytest-django causes freezegun try to mangle stuff inside django
+ # which fails when django is not really used
+ epytest -p no:django -m 'not network'
+}
diff --git a/dev-python/notebook/Manifest b/dev-python/notebook/Manifest
index 1ee4f2627e2d..6e36f5df8ce9 100644
--- a/dev-python/notebook/Manifest
+++ b/dev-python/notebook/Manifest
@@ -1,2 +1,3 @@
DIST notebook-6.4.6.tar.gz 14342345 BLAKE2B cc9d5968d05d9f75f60f02adfb5ef35f39e4a5de027356af73c6dfb1f3aebc271e5b3bc639eb8605748abd30d43bfaab662d41b3b764c91cc545c2d1848881f4 SHA512 92b10bdc041bc0f3af1b42ad219abda37402e0fa4ea16ddcfd2ffc450cc7f49ce1d770cb477160c3fa58c387f85d22ca3f4e4c6507a5cbf7a92bc5268baf661e
DIST notebook-6.4.7.tar.gz 14347832 BLAKE2B 3430aed18e2748005a98ba8e369d3aeda1925098ea1cb59fd6c5b4fc559a9f3ad41dc3fa655a7cce05a6be7fb44c6fe1b2a6e676a7e3933a658bc2f86a603efc SHA512 8a546360948bde566f6853ad63b38f6fbbdd5cfe8bb6b74379e3feae9aeb0f71c1bd7f1e90798cd95c0203e696d73e2797bdb73160106ae4b9ec661f65b860a0
+DIST notebook-6.4.8.tar.gz 14347639 BLAKE2B c2201562f0d672f16d6ae2388a443fcd87e81ae7de78c3a42acef82ff3e78c8e94e2be61e6156f622a9339138a2f14edef5057a3e601a7c15c8793f56d1071e2 SHA512 0e87aa155635ae536eb5a152c46cadbf85907a5af2ca15d063e718ff566ac6b76f4ce0f06f8adacae3be05ea970f1059d793e3121be855efd6c9072e9aa51719
diff --git a/dev-python/notebook/notebook-6.4.8.ebuild b/dev-python/notebook/notebook-6.4.8.ebuild
new file mode 100644
index 000000000000..1c42aa1f5377
--- /dev/null
+++ b/dev-python/notebook/notebook-6.4.8.ebuild
@@ -0,0 +1,97 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1 xdg-utils
+
+DESCRIPTION="Jupyter Interactive Notebook"
+HOMEPAGE="https://jupyter.org"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+ >=dev-libs/mathjax-2.4
+ dev-python/argon2-cffi[${PYTHON_USEDEP}]
+ dev-python/jinja[${PYTHON_USEDEP}]
+ >=dev-python/terminado-0.8.3[${PYTHON_USEDEP}]
+ >=www-servers/tornado-6.0[${PYTHON_USEDEP}]
+ dev-python/ipython_genutils[${PYTHON_USEDEP}]
+ >=dev-python/traitlets-4.2.1[${PYTHON_USEDEP}]
+ >=dev-python/jupyter_core-4.6.1[${PYTHON_USEDEP}]
+ >=dev-python/pyzmq-17[${PYTHON_USEDEP}]
+ >=dev-python/jupyter_client-5.3.4[${PYTHON_USEDEP}]
+ dev-python/nbformat[${PYTHON_USEDEP}]
+ >=dev-python/nbconvert-4.2.0[${PYTHON_USEDEP}]
+ >=dev-python/nest_asyncio-1.5[${PYTHON_USEDEP}]
+ dev-python/ipykernel[${PYTHON_USEDEP}]
+ >=dev-python/send2trash-1.8.0[${PYTHON_USEDEP}]
+ dev-python/prometheus_client[${PYTHON_USEDEP}]"
+
+BDEPEND="
+ >=dev-python/jupyter_packaging-0.9[${PYTHON_USEDEP}]
+ test? (
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/requests-unixsocket[${PYTHON_USEDEP}]
+ )
+"
+
+PATCHES=(
+ "${FILESDIR}/${PN}"-5.7.0-no-mathjax.patch
+)
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # disable bundled mathjax
+ sed -i 's/^.*MathJax.*$//' bower.json || die
+
+ distutils-r1_python_prepare_all
+}
+
+EPYTEST_DESELECT=(
+ # trash doesn't seem to work for us
+ notebook/services/contents/tests/test_contents_api.py::APITest::test_checkpoints_follow_file
+ notebook/services/contents/tests/test_contents_api.py::APITest::test_delete
+ notebook/services/contents/tests/test_contents_api.py::GenericFileCheckpointsAPITest::test_checkpoints_follow_file
+ notebook/services/contents/tests/test_contents_api.py::GenericFileCheckpointsAPITest::test_delete
+ notebook/services/contents/tests/test_contents_api.py::GenericFileCheckpointsAPITest::test_delete_dirs
+ notebook/services/contents/tests/test_contents_api.py::GenericFileCheckpointsAPITest::test_delete_non_empty_dir
+ notebook/services/contents/tests/test_manager.py::TestContentsManager::test_delete
+ notebook/services/contents/tests/test_manager.py::TestContentsManagerNoAtomic::test_delete
+ # TODO
+ notebook/services/kernels/tests/test_kernels_api.py::KernelAPITest::test_connections
+ notebook/services/kernels/tests/test_kernels_api.py::AsyncKernelAPITest::test_connections
+ notebook/services/kernels/tests/test_kernels_api.py::KernelCullingTest::test_culling
+ notebook/services/nbconvert/tests/test_nbconvert_api.py::APITest::test_list_formats
+)
+
+EPYTEST_IGNORE=(
+ # selenium tests require geckodriver
+ notebook/tests/selenium
+)
+
+python_install() {
+ distutils-r1_python_install
+
+ ln -sf \
+ "${EPREFIX}/usr/share/mathjax" \
+ "${D}$(python_get_sitedir)/notebook/static/components/MathJax" || die
+}
+
+pkg_postinst() {
+ xdg_desktop_database_update
+ xdg_icon_cache_update
+}
+
+pkg_postrm() {
+ xdg_desktop_database_update
+ xdg_icon_cache_update
+}
diff --git a/dev-python/numpy/Manifest b/dev-python/numpy/Manifest
index 521499f96a7f..a38e2535662e 100644
--- a/dev-python/numpy/Manifest
+++ b/dev-python/numpy/Manifest
@@ -1,28 +1,12 @@
-DIST numpy-1.21.1.zip 10259878 BLAKE2B ba5d8eb2d294e199c86d8e96026d148098f5716398e730e0fdfee3b710fd01cb6e877973471d7751a2e558c2eaeb626fe9ce5ea4b03a7e4f8e5dc42b852d5b7c SHA512 694100915f4e2917d70a83e7fcdad30c85ffad8f5ad8d164c89287846c1b746c2b577233bacf53e8d8ca5147391f46065a2cabf100957bb8841dee4a042bc1f5
-DIST numpy-1.21.2.zip 10264801 BLAKE2B 2d88506faa5bc767a16c000f201559917d800fd205c75f30c1e61d4b34e214b376da9876e96186914f9fe23bf033a305bf9212f593841407e3bf4e516b5982a6 SHA512 ad08110d9a73a73ef1a546de5fcd6dfe600c17b396f629c3a19ade7b3f226688cf7524fed78c035fd4ddda135e2bcf9facb5e061fb59640b424da2ed070c4184
-DIST numpy-1.21.3.zip 10269351 BLAKE2B 60fc96d91e2c4e0b1c6ee409e02640686fe257f5addbb17229568f591551ea3c415c4aac97b7cdb161b88ce436e42a766b161bd5a82f8cb66fff6771c0097bd3 SHA512 8fbe4e8543b72ad5203d5b122eb3d875e48965682945898e54f4ce82cf790713dfd9185b8b12439aefa86bf25209ea25d04ec3ca2aa2b8d2f32d69358421b792
-DIST numpy-1.21.4.zip 10646392 BLAKE2B 6e2953c6ca8e35c99f5de5faaacfb2b76b351a5c9521ba27449fcdeca5614978ff7d71fc52ce3787d1c7506c4e8eb81b1a92d3bf6825de1cb1d304ea4de83820 SHA512 85575a009bf40a8e5acaaa949d2669545968825df34273e367c42af36fa882ebb0830ff7953b5617d34d3061b3877238524937c42470fac9464479dc33ae60ce
DIST numpy-1.21.5.zip 10652289 BLAKE2B c5bded91e5d06670ea3ace51560411c61985dd89ff0455b833838320f1714cf788a21a60aefd7a0ff30ad0abb93c9d296f60e637944000efa090b6c259c1f47c SHA512 03affa9d0bbf42a8d35f5454f1527df28539e306dc2b313fa775625201a5fe9eb7376f443bba5d50e08567546708811beb7201819eeb2af5a0653b7d91249f78
DIST numpy-1.22.0.zip 11291139 BLAKE2B 91cd2188aaa59d7be18761b74865295f400e309e34bf79067493221c5f0eb875a5c726dd8e322db84fa9714800347954b6a9896aadf914e87872497f7e65527c SHA512 dcea1a6cd257f6353caccc30b2adb1cf2e9d52191ec9f968839c85b1f776ebf8c5ac8bbf0751c2c6f292ae671e4006d26eb06691ca1504e4d65baf4cec3f9803
DIST numpy-1.22.1.zip 11443674 BLAKE2B 3f2e5fbd449c078fd97670be14e87fd9bccc8418dc37f87199557642f0f951f5fd21b89eff938c30171eda3174c526db91e470e9e9cdc297b8abd9b4fe364ad5 SHA512 0d8b5ffb6f8377b3d6d6cb62fd7eef083f8a3b787542b7887e0d214c6fa78b63b6f726302bca554c0c11c57e4611926c8d8ff4abf5dd59842b8b58086391434d
DIST numpy-html-1.21.0.zip 24270531 BLAKE2B 8a7a531afa559aebeb7a7b7ef94b2248df60a60fdfc190ca002dda625003df8b432fed393d6dd0c0c00fafbeb5064a61e3d99bba1a6c41e1e6e34ce091a43c89 SHA512 a165b95729a13806a03464cf39c20a0e18cfcf7701f05cd7777cd115bfaf0972f7155d201c7bd8d4177c5761f8800c982b3e3c29729a5e9ed356059842a44dcc
-DIST numpy-html-1.21.1.zip 24270531 BLAKE2B 8a7a531afa559aebeb7a7b7ef94b2248df60a60fdfc190ca002dda625003df8b432fed393d6dd0c0c00fafbeb5064a61e3d99bba1a6c41e1e6e34ce091a43c89 SHA512 a165b95729a13806a03464cf39c20a0e18cfcf7701f05cd7777cd115bfaf0972f7155d201c7bd8d4177c5761f8800c982b3e3c29729a5e9ed356059842a44dcc
-DIST numpy-html-1.21.2.zip 24270531 BLAKE2B 8a7a531afa559aebeb7a7b7ef94b2248df60a60fdfc190ca002dda625003df8b432fed393d6dd0c0c00fafbeb5064a61e3d99bba1a6c41e1e6e34ce091a43c89 SHA512 a165b95729a13806a03464cf39c20a0e18cfcf7701f05cd7777cd115bfaf0972f7155d201c7bd8d4177c5761f8800c982b3e3c29729a5e9ed356059842a44dcc
-DIST numpy-html-1.21.3.zip 24270531 BLAKE2B 8a7a531afa559aebeb7a7b7ef94b2248df60a60fdfc190ca002dda625003df8b432fed393d6dd0c0c00fafbeb5064a61e3d99bba1a6c41e1e6e34ce091a43c89 SHA512 a165b95729a13806a03464cf39c20a0e18cfcf7701f05cd7777cd115bfaf0972f7155d201c7bd8d4177c5761f8800c982b3e3c29729a5e9ed356059842a44dcc
-DIST numpy-html-1.21.4.zip 24270531 BLAKE2B 8a7a531afa559aebeb7a7b7ef94b2248df60a60fdfc190ca002dda625003df8b432fed393d6dd0c0c00fafbeb5064a61e3d99bba1a6c41e1e6e34ce091a43c89 SHA512 a165b95729a13806a03464cf39c20a0e18cfcf7701f05cd7777cd115bfaf0972f7155d201c7bd8d4177c5761f8800c982b3e3c29729a5e9ed356059842a44dcc
DIST numpy-html-1.21.5.zip 24270531 BLAKE2B 8a7a531afa559aebeb7a7b7ef94b2248df60a60fdfc190ca002dda625003df8b432fed393d6dd0c0c00fafbeb5064a61e3d99bba1a6c41e1e6e34ce091a43c89 SHA512 a165b95729a13806a03464cf39c20a0e18cfcf7701f05cd7777cd115bfaf0972f7155d201c7bd8d4177c5761f8800c982b3e3c29729a5e9ed356059842a44dcc
DIST numpy-html-1.22.1.zip 23724824 BLAKE2B 44ea3da0a703a024a629c8413dfffaf760458b185d19452da0e7e23c819e19833291e10ebd07bdda794077574b8852a368036dda8335c2753cd481740497502a SHA512 4077d9974bfd7f2c189025c3740350652e6f8e0b5727fbc9711a1c0118c1e4ecc281d4876baf1c6a5dc802d20178d6b04a2922f14e9c321cd3b68228b1e295c3
DIST numpy-ref-1.21.0.pdf 7326979 BLAKE2B 3c1130a576c46e0705ca1f12e7a3345beb1acdd23de2a81448e4e9755636dec313e277a0d3167dc3b211332b3fc415ac0d96e7c99e859b51a16a589426814182 SHA512 5dd37ca03f1f098fffce80aa6a1a6eb8ec66df4322da1c620bd1f507e89ee2ceb222de32c9b7974f085ddf146f0a789ea8eb27d792a13c1aa8a893c00f94f75f
-DIST numpy-ref-1.21.1.pdf 7326979 BLAKE2B 3c1130a576c46e0705ca1f12e7a3345beb1acdd23de2a81448e4e9755636dec313e277a0d3167dc3b211332b3fc415ac0d96e7c99e859b51a16a589426814182 SHA512 5dd37ca03f1f098fffce80aa6a1a6eb8ec66df4322da1c620bd1f507e89ee2ceb222de32c9b7974f085ddf146f0a789ea8eb27d792a13c1aa8a893c00f94f75f
-DIST numpy-ref-1.21.2.pdf 7326979 BLAKE2B 3c1130a576c46e0705ca1f12e7a3345beb1acdd23de2a81448e4e9755636dec313e277a0d3167dc3b211332b3fc415ac0d96e7c99e859b51a16a589426814182 SHA512 5dd37ca03f1f098fffce80aa6a1a6eb8ec66df4322da1c620bd1f507e89ee2ceb222de32c9b7974f085ddf146f0a789ea8eb27d792a13c1aa8a893c00f94f75f
-DIST numpy-ref-1.21.3.pdf 7326979 BLAKE2B 3c1130a576c46e0705ca1f12e7a3345beb1acdd23de2a81448e4e9755636dec313e277a0d3167dc3b211332b3fc415ac0d96e7c99e859b51a16a589426814182 SHA512 5dd37ca03f1f098fffce80aa6a1a6eb8ec66df4322da1c620bd1f507e89ee2ceb222de32c9b7974f085ddf146f0a789ea8eb27d792a13c1aa8a893c00f94f75f
-DIST numpy-ref-1.21.4.pdf 7326979 BLAKE2B 3c1130a576c46e0705ca1f12e7a3345beb1acdd23de2a81448e4e9755636dec313e277a0d3167dc3b211332b3fc415ac0d96e7c99e859b51a16a589426814182 SHA512 5dd37ca03f1f098fffce80aa6a1a6eb8ec66df4322da1c620bd1f507e89ee2ceb222de32c9b7974f085ddf146f0a789ea8eb27d792a13c1aa8a893c00f94f75f
DIST numpy-ref-1.21.5.pdf 7326979 BLAKE2B 3c1130a576c46e0705ca1f12e7a3345beb1acdd23de2a81448e4e9755636dec313e277a0d3167dc3b211332b3fc415ac0d96e7c99e859b51a16a589426814182 SHA512 5dd37ca03f1f098fffce80aa6a1a6eb8ec66df4322da1c620bd1f507e89ee2ceb222de32c9b7974f085ddf146f0a789ea8eb27d792a13c1aa8a893c00f94f75f
DIST numpy-ref-1.22.1.pdf 7537013 BLAKE2B 702398fddde349901f9303f4788a3ae3cc4bb78b4d310e169fcc6193fd62b33947c89ede45ba9aaea55e74f6a6abc755d3d94428adce9a8163678c6718aec2da SHA512 c1617817f94ccdfe2bbdebdc9c6869beefa1369d5ab0897c1573d8fb5cb3de153f90d5588aae84a0f498fba57ad6bc5c0c5c2c3aefb119e2913e4ddf007cc8e1
DIST numpy-user-1.21.0.pdf 5142404 BLAKE2B d670f1eb0f060599a640c52bdeba53b1758007fc2090a5b8fb6e135e71114149a0085811e4bc21396eabb1123ffb9edd39f8192d0165ab42dd066a9747eb3a3f SHA512 dde264abff1787efd50e913b6facf83522b3344ed88fd15d6fe73ecd44c6a3db1e4ce4251c9674bbcb122f72ab86c64142b2f4f992a6449405041f8e1f5f1ace
-DIST numpy-user-1.21.1.pdf 5142404 BLAKE2B d670f1eb0f060599a640c52bdeba53b1758007fc2090a5b8fb6e135e71114149a0085811e4bc21396eabb1123ffb9edd39f8192d0165ab42dd066a9747eb3a3f SHA512 dde264abff1787efd50e913b6facf83522b3344ed88fd15d6fe73ecd44c6a3db1e4ce4251c9674bbcb122f72ab86c64142b2f4f992a6449405041f8e1f5f1ace
-DIST numpy-user-1.21.2.pdf 5142404 BLAKE2B d670f1eb0f060599a640c52bdeba53b1758007fc2090a5b8fb6e135e71114149a0085811e4bc21396eabb1123ffb9edd39f8192d0165ab42dd066a9747eb3a3f SHA512 dde264abff1787efd50e913b6facf83522b3344ed88fd15d6fe73ecd44c6a3db1e4ce4251c9674bbcb122f72ab86c64142b2f4f992a6449405041f8e1f5f1ace
-DIST numpy-user-1.21.3.pdf 5142404 BLAKE2B d670f1eb0f060599a640c52bdeba53b1758007fc2090a5b8fb6e135e71114149a0085811e4bc21396eabb1123ffb9edd39f8192d0165ab42dd066a9747eb3a3f SHA512 dde264abff1787efd50e913b6facf83522b3344ed88fd15d6fe73ecd44c6a3db1e4ce4251c9674bbcb122f72ab86c64142b2f4f992a6449405041f8e1f5f1ace
-DIST numpy-user-1.21.4.pdf 5142404 BLAKE2B d670f1eb0f060599a640c52bdeba53b1758007fc2090a5b8fb6e135e71114149a0085811e4bc21396eabb1123ffb9edd39f8192d0165ab42dd066a9747eb3a3f SHA512 dde264abff1787efd50e913b6facf83522b3344ed88fd15d6fe73ecd44c6a3db1e4ce4251c9674bbcb122f72ab86c64142b2f4f992a6449405041f8e1f5f1ace
DIST numpy-user-1.21.5.pdf 5142404 BLAKE2B d670f1eb0f060599a640c52bdeba53b1758007fc2090a5b8fb6e135e71114149a0085811e4bc21396eabb1123ffb9edd39f8192d0165ab42dd066a9747eb3a3f SHA512 dde264abff1787efd50e913b6facf83522b3344ed88fd15d6fe73ecd44c6a3db1e4ce4251c9674bbcb122f72ab86c64142b2f4f992a6449405041f8e1f5f1ace
DIST numpy-user-1.22.1.pdf 3978348 BLAKE2B 87cc73cb1c406446eb9d86ea6cbaeac6ba13c7d2b2ffd47524483af1698c3efdfaafe61e987624c5ce01939494861413b271e9a96f49abbbe69d634b9be55c95 SHA512 8e04c0c90255038471de6ef0f8f4ed9e356d646b028bb16f667f3c59170eddaa0d86d48226462c5c17b8123b2a28a09982764979e9e76658b4e26cd0a976f3a1
diff --git a/dev-python/numpy/files/numpy-1.21.3-unaligned-array.patch b/dev-python/numpy/files/numpy-1.21.3-unaligned-array.patch
deleted file mode 100644
index 8d04cc0968dc..000000000000
--- a/dev-python/numpy/files/numpy-1.21.3-unaligned-array.patch
+++ /dev/null
@@ -1,45 +0,0 @@
-From d9bbd60d0f2896d1b1f865e6035dccb12db4b1a0 Mon Sep 17 00:00:00 2001
-From: Sebastian Berg <sebastian@sipsolutions.net>
-Date: Sat, 23 Oct 2021 22:54:21 -0500
-Subject: [PATCH] BUG: Do not use nonzero fastpath on unaligned arrays
-
-The fast-path does not handle unalgined access, previously only
-bools had a fast path (and bools are by definition always aligned
-since they are stored in a single byte/char).
-
-Closes gh-19592
----
- numpy/core/src/multiarray/item_selection.c | 19 +++++++------------
- 1 file changed, 7 insertions(+), 12 deletions(-)
-
-diff --git a/numpy/core/src/multiarray/item_selection.c b/numpy/core/src/multiarray/item_selection.c
-index ee66378a938..33d378c2b58 100644
---- a/numpy/core/src/multiarray/item_selection.c
-+++ b/numpy/core/src/multiarray/item_selection.c
-@@ -2398,19 +2398,14 @@ PyArray_CountNonzero(PyArrayObject *self)
- npy_intp *strideptr, *innersizeptr;
- NPY_BEGIN_THREADS_DEF;
-
-- // Special low-overhead version specific to the boolean/int types
- dtype = PyArray_DESCR(self);
-- switch(dtype->kind) {
-- case 'u':
-- case 'i':
-- case 'b':
-- if (dtype->elsize > 8) {
-- break;
-- }
-- return count_nonzero_int(
-- PyArray_NDIM(self), PyArray_BYTES(self), PyArray_DIMS(self),
-- PyArray_STRIDES(self), dtype->elsize
-- );
-+ /* Special low-overhead version specific to the boolean/int types */
-+ if (PyArray_ISALIGNED(self) && (
-+ PyDataType_ISBOOL(dtype) || PyDataType_ISINTEGER(dtype))) {
-+ return count_nonzero_int(
-+ PyArray_NDIM(self), PyArray_BYTES(self), PyArray_DIMS(self),
-+ PyArray_STRIDES(self), dtype->elsize
-+ );
- }
-
- nonzero = PyArray_DESCR(self)->f->nonzero;
diff --git a/dev-python/numpy/files/numpy-1.21.4-copy-python-3.9.patch b/dev-python/numpy/files/numpy-1.21.4-copy-python-3.9.patch
deleted file mode 100644
index 81464151e753..000000000000
--- a/dev-python/numpy/files/numpy-1.21.4-copy-python-3.9.patch
+++ /dev/null
@@ -1,52 +0,0 @@
-https://github.com/numpy/numpy/commit/50823973e857363f7d8052768276c2e86f004d61
-https://github.com/numpy/numpy/pull/20357
-
-From: Bas van Beek <b.f.van.beek@vu.nl>
-Date: Wed, 10 Nov 2021 15:36:00 +0100
-Subject: [PATCH] MAINT: Do not forward `__(deep)copy__` calls of
- `_GenericAlias` to the wrapped type
-
-Adapt to the python 3.9.8 changes made in bpo-45167.
---- a/numpy/typing/_generic_alias.py
-+++ b/numpy/typing/_generic_alias.py
-@@ -178,6 +178,8 @@ def __eq__(self, value: object) -> bool:
- "__mro_entries__",
- "__reduce__",
- "__reduce_ex__",
-+ "__copy__",
-+ "__deepcopy__",
- })
-
- def __getattribute__(self, name: str) -> Any:
---- a/numpy/typing/tests/test_generic_alias.py
-+++ b/numpy/typing/tests/test_generic_alias.py
-@@ -1,6 +1,7 @@
- from __future__ import annotations
-
- import sys
-+import copy
- import types
- import pickle
- import weakref
-@@ -74,6 +75,21 @@ def test_pass(self, name: str, func: FuncType) -> None:
- value_ref = func(NDArray_ref)
- assert value == value_ref
-
-+ @pytest.mark.parametrize("name,func", [
-+ ("__copy__", lambda n: n == copy.copy(n)),
-+ ("__deepcopy__", lambda n: n == copy.deepcopy(n)),
-+ ])
-+ def test_copy(self, name: str, func: FuncType) -> None:
-+ value = func(NDArray)
-+
-+ # xref bpo-45167
-+ GE_398 = (
-+ sys.version_info[:2] == (3, 9) and sys.version_info >= (3, 9, 8)
-+ )
-+ if GE_398 or sys.version_info >= (3, 10, 1):
-+ value_ref = func(NDArray_ref)
-+ assert value == value_ref
-+
- def test_weakref(self) -> None:
- """Test ``__weakref__``."""
- value = weakref.ref(NDArray)()
diff --git a/dev-python/numpy/numpy-1.21.1-r1.ebuild b/dev-python/numpy/numpy-1.21.1-r1.ebuild
deleted file mode 100644
index d211ef3a1542..000000000000
--- a/dev-python/numpy/numpy-1.21.1-r1.ebuild
+++ /dev/null
@@ -1,144 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_{6,7,8,9,10} )
-PYTHON_REQ_USE="threads(+)"
-
-FORTRAN_NEEDED=lapack
-
-inherit distutils-r1 flag-o-matic fortran-2 multiprocessing toolchain-funcs
-
-DOC_PV=${PV}
-DESCRIPTION="Fast array and numerical python library"
-HOMEPAGE="https://numpy.org/"
-SRC_URI="
- mirror://pypi/${PN:0:1}/${PN}/${P}.zip
- doc? (
- https://numpy.org/doc/$(ver_cut 1-2 ${DOC_PV})/numpy-html.zip -> numpy-html-${DOC_PV}.zip
- https://numpy.org/doc/$(ver_cut 1-2 ${DOC_PV})/numpy-ref.pdf -> numpy-ref-${DOC_PV}.pdf
- https://numpy.org/doc/$(ver_cut 1-2 ${DOC_PV})/numpy-user.pdf -> numpy-user-${DOC_PV}.pdf
- )"
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
-IUSE="doc lapack"
-
-RDEPEND="
- lapack? (
- >=virtual/cblas-3.8
- >=virtual/lapack-3.8
- )
-"
-BDEPEND="
- ${RDEPEND}
- app-arch/unzip
- >=dev-python/cython-0.29.21[${PYTHON_USEDEP}]
- lapack? ( virtual/pkgconfig )
- test? (
- >=dev-python/hypothesis-5.8.0[${PYTHON_USEDEP}]
- >=dev-python/pytz-2019.3[${PYTHON_USEDEP}]
- >=dev-python/cffi-1.14.0[${PYTHON_USEDEP}]
- )
-"
-
-PATCHES=(
- "${FILESDIR}"/numpy-1.21.0-no-hardcode-blasv2.patch
- "${FILESDIR}"/numpy-1.21.3-unaligned-array.patch
-)
-
-distutils_enable_tests pytest
-
-src_unpack() {
- default
- if use doc; then
- unzip -qo "${DISTDIR}"/numpy-html-${DOC_PV}.zip -d html || die
- fi
-}
-
-python_prepare_all() {
- if use lapack; then
- local incdir="${EPREFIX}"/usr/include
- local libdir="${EPREFIX}"/usr/$(get_libdir)
- cat >> site.cfg <<-EOF || die
- [blas]
- include_dirs = ${incdir}
- library_dirs = ${libdir}
- blas_libs = cblas,blas
- [lapack]
- library_dirs = ${libdir}
- lapack_libs = lapack
- EOF
- else
- export {ATLAS,PTATLAS,BLAS,LAPACK,MKL}=None
- fi
-
- export CC="$(tc-getCC) ${CFLAGS}"
-
- append-flags -fno-strict-aliasing
-
- # See progress in http://projects.scipy.org/scipy/numpy/ticket/573
- # with the subtle difference that we don't want to break Darwin where
- # -shared is not a valid linker argument
- if [[ ${CHOST} != *-darwin* ]]; then
- append-ldflags -shared
- fi
-
- # only one fortran to link with:
- # linking with cblas and lapack library will force
- # autodetecting and linking to all available fortran compilers
- append-fflags -fPIC
- if use lapack; then
- NUMPY_FCONFIG="config_fc --noopt --noarch"
- # workaround bug 335908
- [[ $(tc-getFC) == *gfortran* ]] && NUMPY_FCONFIG+=" --fcompiler=gnu95"
- fi
-
- # don't version f2py, we will handle it.
- sed -i -e '/f2py_exe/s: + os\.path.*$::' numpy/f2py/setup.py || die
-
- # disable fuzzed tests
- find numpy/*/tests -name '*.py' -exec sed -i \
- -e 's:def \(.*_fuzz\):def _\1:' {} + || die
- # very memory- and disk-hungry
- sed -i -e 's:test_large_zip:_&:' numpy/lib/tests/test_io.py || die
-
- distutils-r1_python_prepare_all
-}
-
-python_compile() {
- export MAKEOPTS=-j1 #660754
-
- distutils-r1_python_compile ${NUMPY_FCONFIG}
-}
-
-python_test() {
- local deselect=(
- numpy/typing/tests/test_typing.py::test_reveal[arrayterator.py]
- )
-
- distutils_install_for_testing --single-version-externally-managed \
- --record "${TMPDIR}/record.txt" ${NUMPY_FCONFIG}
-
- cd "${TEST_DIR}/lib" || die
- epytest ${deselect[@]/#/--deselect }
-}
-
-python_install() {
- # https://github.com/numpy/numpy/issues/16005
- local mydistutilsargs=( build_src )
- distutils-r1_python_install ${NUMPY_FCONFIG}
- python_optimize
-}
-
-python_install_all() {
- local DOCS=( LICENSE.txt README.md THANKS.txt )
-
- if use doc; then
- local HTML_DOCS=( "${WORKDIR}"/html/. )
- DOCS+=( "${DISTDIR}"/${PN}-{user,ref}-${DOC_PV}.pdf )
- fi
-
- distutils-r1_python_install_all
-}
diff --git a/dev-python/numpy/numpy-1.21.2-r1.ebuild b/dev-python/numpy/numpy-1.21.2-r1.ebuild
deleted file mode 100644
index a5f134224690..000000000000
--- a/dev-python/numpy/numpy-1.21.2-r1.ebuild
+++ /dev/null
@@ -1,144 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_{6,7,8,9,10} )
-PYTHON_REQ_USE="threads(+)"
-
-FORTRAN_NEEDED=lapack
-
-inherit distutils-r1 flag-o-matic fortran-2 toolchain-funcs
-
-DOC_PV=${PV}
-DESCRIPTION="Fast array and numerical python library"
-HOMEPAGE="https://numpy.org/"
-SRC_URI="
- mirror://pypi/${PN:0:1}/${PN}/${P}.zip
- doc? (
- https://numpy.org/doc/$(ver_cut 1-2 ${DOC_PV})/numpy-html.zip -> numpy-html-${DOC_PV}.zip
- https://numpy.org/doc/$(ver_cut 1-2 ${DOC_PV})/numpy-ref.pdf -> numpy-ref-${DOC_PV}.pdf
- https://numpy.org/doc/$(ver_cut 1-2 ${DOC_PV})/numpy-user.pdf -> numpy-user-${DOC_PV}.pdf
- )"
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
-IUSE="doc lapack"
-
-RDEPEND="
- lapack? (
- >=virtual/cblas-3.8
- >=virtual/lapack-3.8
- )
-"
-BDEPEND="
- ${RDEPEND}
- app-arch/unzip
- >=dev-python/cython-0.29.24[${PYTHON_USEDEP}]
- lapack? ( virtual/pkgconfig )
- test? (
- >=dev-python/hypothesis-5.8.0[${PYTHON_USEDEP}]
- >=dev-python/pytz-2019.3[${PYTHON_USEDEP}]
- >=dev-python/cffi-1.14.0[${PYTHON_USEDEP}]
- )
-"
-
-PATCHES=(
- "${FILESDIR}"/numpy-1.21.0-no-hardcode-blasv2.patch
- "${FILESDIR}"/numpy-1.21.3-unaligned-array.patch
-)
-
-distutils_enable_tests pytest
-
-src_unpack() {
- default
- if use doc; then
- unzip -qo "${DISTDIR}"/numpy-html-${DOC_PV}.zip -d html || die
- fi
-}
-
-python_prepare_all() {
- if use lapack; then
- local incdir="${EPREFIX}"/usr/include
- local libdir="${EPREFIX}"/usr/$(get_libdir)
- cat >> site.cfg <<-EOF || die
- [blas]
- include_dirs = ${incdir}
- library_dirs = ${libdir}
- blas_libs = cblas,blas
- [lapack]
- library_dirs = ${libdir}
- lapack_libs = lapack
- EOF
- else
- export {ATLAS,PTATLAS,BLAS,LAPACK,MKL}=None
- fi
-
- export CC="$(tc-getCC) ${CFLAGS}"
-
- append-flags -fno-strict-aliasing
-
- # See progress in http://projects.scipy.org/scipy/numpy/ticket/573
- # with the subtle difference that we don't want to break Darwin where
- # -shared is not a valid linker argument
- if [[ ${CHOST} != *-darwin* ]]; then
- append-ldflags -shared
- fi
-
- # only one fortran to link with:
- # linking with cblas and lapack library will force
- # autodetecting and linking to all available fortran compilers
- append-fflags -fPIC
- if use lapack; then
- NUMPY_FCONFIG="config_fc --noopt --noarch"
- # workaround bug 335908
- [[ $(tc-getFC) == *gfortran* ]] && NUMPY_FCONFIG+=" --fcompiler=gnu95"
- fi
-
- # don't version f2py, we will handle it.
- sed -i -e '/f2py_exe/s: + os\.path.*$::' numpy/f2py/setup.py || die
-
- # disable fuzzed tests
- find numpy/*/tests -name '*.py' -exec sed -i \
- -e 's:def \(.*_fuzz\):def _\1:' {} + || die
- # very memory- and disk-hungry
- sed -i -e 's:test_large_zip:_&:' numpy/lib/tests/test_io.py || die
-
- distutils-r1_python_prepare_all
-}
-
-python_compile() {
- export MAKEOPTS=-j1 #660754
-
- distutils-r1_python_compile ${NUMPY_FCONFIG}
-}
-
-python_test() {
- local deselect=(
- numpy/typing/tests/test_typing.py::test_reveal[arrayterator.py]
- )
-
- distutils_install_for_testing --single-version-externally-managed \
- --record "${TMPDIR}/record.txt" ${NUMPY_FCONFIG}
-
- cd "${TEST_DIR}/lib" || die
- epytest ${deselect[@]/#/--deselect }
-}
-
-python_install() {
- # https://github.com/numpy/numpy/issues/16005
- local mydistutilsargs=( build_src )
- distutils-r1_python_install ${NUMPY_FCONFIG}
- python_optimize
-}
-
-python_install_all() {
- local DOCS=( LICENSE.txt README.md THANKS.txt )
-
- if use doc; then
- local HTML_DOCS=( "${WORKDIR}"/html/. )
- DOCS+=( "${DISTDIR}"/${PN}-{user,ref}-${DOC_PV}.pdf )
- fi
-
- distutils-r1_python_install_all
-}
diff --git a/dev-python/numpy/numpy-1.21.3-r1.ebuild b/dev-python/numpy/numpy-1.21.3-r1.ebuild
deleted file mode 100644
index 2ebb6d81a751..000000000000
--- a/dev-python/numpy/numpy-1.21.3-r1.ebuild
+++ /dev/null
@@ -1,152 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_{6,7,8,9,10} )
-PYTHON_REQ_USE="threads(+)"
-
-FORTRAN_NEEDED=lapack
-
-inherit distutils-r1 flag-o-matic fortran-2 toolchain-funcs
-
-DOC_PV=${PV}
-DESCRIPTION="Fast array and numerical python library"
-HOMEPAGE="https://numpy.org/"
-SRC_URI="
- mirror://pypi/${PN:0:1}/${PN}/${P}.zip
- doc? (
- https://numpy.org/doc/$(ver_cut 1-2 ${DOC_PV})/numpy-html.zip -> numpy-html-${DOC_PV}.zip
- https://numpy.org/doc/$(ver_cut 1-2 ${DOC_PV})/numpy-ref.pdf -> numpy-ref-${DOC_PV}.pdf
- https://numpy.org/doc/$(ver_cut 1-2 ${DOC_PV})/numpy-user.pdf -> numpy-user-${DOC_PV}.pdf
- )"
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
-IUSE="doc lapack"
-
-RDEPEND="
- lapack? (
- >=virtual/cblas-3.8
- >=virtual/lapack-3.8
- )
-"
-BDEPEND="
- ${RDEPEND}
- app-arch/unzip
- >=dev-python/cython-0.29.24[${PYTHON_USEDEP}]
- lapack? ( virtual/pkgconfig )
- test? (
- >=dev-python/hypothesis-5.8.0[${PYTHON_USEDEP}]
- >=dev-python/pytz-2019.3[${PYTHON_USEDEP}]
- >=dev-python/cffi-1.14.0[${PYTHON_USEDEP}]
- )
-"
-
-PATCHES=(
- "${FILESDIR}"/numpy-1.21.0-no-hardcode-blasv2.patch
- "${FILESDIR}"/${P}-unaligned-array.patch
-)
-
-distutils_enable_tests pytest
-
-src_unpack() {
- default
- if use doc; then
- unzip -qo "${DISTDIR}"/numpy-html-${DOC_PV}.zip -d html || die
- fi
-}
-
-python_prepare_all() {
- if use lapack; then
- local incdir="${EPREFIX}"/usr/include
- local libdir="${EPREFIX}"/usr/$(get_libdir)
- cat >> site.cfg <<-EOF || die
- [blas]
- include_dirs = ${incdir}
- library_dirs = ${libdir}
- blas_libs = cblas,blas
- [lapack]
- library_dirs = ${libdir}
- lapack_libs = lapack
- EOF
- else
- export {ATLAS,PTATLAS,BLAS,LAPACK,MKL}=None
- fi
-
- export CC="$(tc-getCC) ${CFLAGS}"
-
- append-flags -fno-strict-aliasing
-
- # See progress in http://projects.scipy.org/scipy/numpy/ticket/573
- # with the subtle difference that we don't want to break Darwin where
- # -shared is not a valid linker argument
- if [[ ${CHOST} != *-darwin* ]]; then
- append-ldflags -shared
- fi
-
- # only one fortran to link with:
- # linking with cblas and lapack library will force
- # autodetecting and linking to all available fortran compilers
- append-fflags -fPIC
- if use lapack; then
- NUMPY_FCONFIG="config_fc --noopt --noarch"
- # workaround bug 335908
- [[ $(tc-getFC) == *gfortran* ]] && NUMPY_FCONFIG+=" --fcompiler=gnu95"
- fi
-
- # don't version f2py, we will handle it.
- sed -i -e '/f2py_exe/s: + os\.path.*$::' numpy/f2py/setup.py || die
-
- # disable fuzzed tests
- find numpy/*/tests -name '*.py' -exec sed -i \
- -e 's:def \(.*_fuzz\):def _\1:' {} + || die
- # very memory- and disk-hungry
- sed -i -e 's:test_large_zip:_&:' numpy/lib/tests/test_io.py || die
-
- distutils-r1_python_prepare_all
-}
-
-python_compile() {
- export MAKEOPTS=-j1 #660754
-
- distutils-r1_python_compile ${NUMPY_FCONFIG}
-}
-
-python_test() {
- local deselect=(
- numpy/typing/tests/test_typing.py::test_reveal[arrayterator.py]
- )
-
- if use arm && [[ $(uname -m || echo "unknown") == "armv8l" ]] ; then
- # Degenerate case. arm32 chroot on arm64.
- # bug #774108
- deselect+=(
- numpy/core/tests/test_cpu_features.py::Test_ARM_Features::test_features
- )
- fi
-
- distutils_install_for_testing --single-version-externally-managed \
- --record "${TMPDIR}/record.txt" ${NUMPY_FCONFIG}
-
- cd "${TEST_DIR}/lib" || die
- epytest ${deselect[@]/#/--deselect }
-}
-
-python_install() {
- # https://github.com/numpy/numpy/issues/16005
- local mydistutilsargs=( build_src )
- distutils-r1_python_install ${NUMPY_FCONFIG}
- python_optimize
-}
-
-python_install_all() {
- local DOCS=( LICENSE.txt README.md THANKS.txt )
-
- if use doc; then
- local HTML_DOCS=( "${WORKDIR}"/html/. )
- DOCS+=( "${DISTDIR}"/${PN}-{user,ref}-${DOC_PV}.pdf )
- fi
-
- distutils-r1_python_install_all
-}
diff --git a/dev-python/numpy/numpy-1.21.4-r2.ebuild b/dev-python/numpy/numpy-1.21.4-r2.ebuild
deleted file mode 100644
index 1a06cc871137..000000000000
--- a/dev-python/numpy/numpy-1.21.4-r2.ebuild
+++ /dev/null
@@ -1,162 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_{6,7,8,9,10} )
-PYTHON_REQ_USE="threads(+)"
-
-FORTRAN_NEEDED=lapack
-
-inherit distutils-r1 flag-o-matic fortran-2 toolchain-funcs
-
-DOC_PV=${PV}
-DESCRIPTION="Fast array and numerical python library"
-HOMEPAGE="https://numpy.org/"
-SRC_URI="
- mirror://pypi/${PN:0:1}/${PN}/${P}.zip
- doc? (
- https://numpy.org/doc/$(ver_cut 1-2 ${DOC_PV})/numpy-html.zip -> numpy-html-${DOC_PV}.zip
- https://numpy.org/doc/$(ver_cut 1-2 ${DOC_PV})/numpy-ref.pdf -> numpy-ref-${DOC_PV}.pdf
- https://numpy.org/doc/$(ver_cut 1-2 ${DOC_PV})/numpy-user.pdf -> numpy-user-${DOC_PV}.pdf
- )"
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
-IUSE="doc lapack"
-
-RDEPEND="
- lapack? (
- >=virtual/cblas-3.8
- >=virtual/lapack-3.8
- )
-"
-BDEPEND="
- ${RDEPEND}
- app-arch/unzip
- >=dev-python/cython-0.29.24[${PYTHON_USEDEP}]
- lapack? ( virtual/pkgconfig )
- test? (
- >=dev-python/hypothesis-5.8.0[${PYTHON_USEDEP}]
- >=dev-python/pytz-2019.3[${PYTHON_USEDEP}]
- >=dev-python/cffi-1.14.0[${PYTHON_USEDEP}]
- )
-"
-
-PATCHES=(
- "${FILESDIR}"/numpy-1.21.0-no-hardcode-blasv2.patch
- "${FILESDIR}"/numpy-1.21.4-build-compiler-args-ceph.patch
- "${FILESDIR}"/numpy-1.21.4-copy-python-3.9.patch
-)
-
-distutils_enable_tests pytest
-
-src_unpack() {
- default
- if use doc; then
- unzip -qo "${DISTDIR}"/numpy-html-${DOC_PV}.zip -d html || die
- fi
-}
-
-python_prepare_all() {
- if use lapack; then
- local incdir="${EPREFIX}"/usr/include
- local libdir="${EPREFIX}"/usr/$(get_libdir)
- cat >> site.cfg <<-EOF || die
- [blas]
- include_dirs = ${incdir}
- library_dirs = ${libdir}
- blas_libs = cblas,blas
- [lapack]
- library_dirs = ${libdir}
- lapack_libs = lapack
- EOF
- else
- export {ATLAS,PTATLAS,BLAS,LAPACK,MKL}=None
- fi
-
- export CC="$(tc-getCC) ${CFLAGS}"
-
- append-flags -fno-strict-aliasing
-
- # See progress in http://projects.scipy.org/scipy/numpy/ticket/573
- # with the subtle difference that we don't want to break Darwin where
- # -shared is not a valid linker argument
- if [[ ${CHOST} != *-darwin* ]]; then
- append-ldflags -shared
- fi
-
- # only one fortran to link with:
- # linking with cblas and lapack library will force
- # autodetecting and linking to all available fortran compilers
- append-fflags -fPIC
- if use lapack; then
- NUMPY_FCONFIG="config_fc --noopt --noarch"
- # workaround bug 335908
- [[ $(tc-getFC) == *gfortran* ]] && NUMPY_FCONFIG+=" --fcompiler=gnu95"
- fi
-
- # don't version f2py, we will handle it.
- sed -i -e '/f2py_exe/s: + os\.path.*$::' numpy/f2py/setup.py || die
-
- # disable fuzzed tests
- find numpy/*/tests -name '*.py' -exec sed -i \
- -e 's:def \(.*_fuzz\):def _\1:' {} + || die
- # very memory- and disk-hungry
- sed -i -e 's:test_large_zip:_&:' numpy/lib/tests/test_io.py || die
-
- distutils-r1_python_prepare_all
-}
-
-python_compile() {
- export MAKEOPTS=-j1 #660754
-
- distutils-r1_python_compile ${NUMPY_FCONFIG}
-}
-
-python_test() {
- local deselect=(
- numpy/typing/tests/test_typing.py::test_reveal[arrayterator.py]
- )
-
- if use arm && [[ $(uname -m || echo "unknown") == "armv8l" ]] ; then
- # Degenerate case. arm32 chroot on arm64.
- # bug #774108
- deselect+=(
- numpy/core/tests/test_cpu_features.py::Test_ARM_Features::test_features
- )
- fi
-
- if use x86 ; then
- deselect+=(
- # https://github.com/numpy/numpy/issues/18388
- numpy/core/tests/test_umath.py::TestRemainder::test_float_remainder_overflow
- # https://github.com/numpy/numpy/issues/18387
- numpy/random/tests/test_generator_mt19937.py::TestRandomDist::test_pareto
- )
- fi
-
- distutils_install_for_testing --single-version-externally-managed \
- --record "${TMPDIR}/record.txt" ${NUMPY_FCONFIG}
-
- cd "${TEST_DIR}/lib" || die
- epytest ${deselect[@]/#/--deselect }
-}
-
-python_install() {
- # https://github.com/numpy/numpy/issues/16005
- local mydistutilsargs=( build_src )
- distutils-r1_python_install ${NUMPY_FCONFIG}
- python_optimize
-}
-
-python_install_all() {
- local DOCS=( LICENSE.txt README.md THANKS.txt )
-
- if use doc; then
- local HTML_DOCS=( "${WORKDIR}"/html/. )
- DOCS+=( "${DISTDIR}"/${PN}-{user,ref}-${DOC_PV}.pdf )
- fi
-
- distutils-r1_python_install_all
-}
diff --git a/dev-python/numpy/numpy-1.21.4.ebuild b/dev-python/numpy/numpy-1.21.4.ebuild
deleted file mode 100644
index 1a3b40b9a965..000000000000
--- a/dev-python/numpy/numpy-1.21.4.ebuild
+++ /dev/null
@@ -1,151 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_{6,7,8,9,10} )
-PYTHON_REQ_USE="threads(+)"
-
-FORTRAN_NEEDED=lapack
-
-inherit distutils-r1 flag-o-matic fortran-2 toolchain-funcs
-
-DOC_PV=${PV}
-DESCRIPTION="Fast array and numerical python library"
-HOMEPAGE="https://numpy.org/"
-SRC_URI="
- mirror://pypi/${PN:0:1}/${PN}/${P}.zip
- doc? (
- https://numpy.org/doc/$(ver_cut 1-2 ${DOC_PV})/numpy-html.zip -> numpy-html-${DOC_PV}.zip
- https://numpy.org/doc/$(ver_cut 1-2 ${DOC_PV})/numpy-ref.pdf -> numpy-ref-${DOC_PV}.pdf
- https://numpy.org/doc/$(ver_cut 1-2 ${DOC_PV})/numpy-user.pdf -> numpy-user-${DOC_PV}.pdf
- )"
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
-IUSE="doc lapack"
-
-RDEPEND="
- lapack? (
- >=virtual/cblas-3.8
- >=virtual/lapack-3.8
- )
-"
-BDEPEND="
- ${RDEPEND}
- app-arch/unzip
- >=dev-python/cython-0.29.24[${PYTHON_USEDEP}]
- lapack? ( virtual/pkgconfig )
- test? (
- >=dev-python/hypothesis-5.8.0[${PYTHON_USEDEP}]
- >=dev-python/pytz-2019.3[${PYTHON_USEDEP}]
- >=dev-python/cffi-1.14.0[${PYTHON_USEDEP}]
- )
-"
-
-PATCHES=(
- "${FILESDIR}"/numpy-1.21.0-no-hardcode-blasv2.patch
-)
-
-distutils_enable_tests pytest
-
-src_unpack() {
- default
- if use doc; then
- unzip -qo "${DISTDIR}"/numpy-html-${DOC_PV}.zip -d html || die
- fi
-}
-
-python_prepare_all() {
- if use lapack; then
- local incdir="${EPREFIX}"/usr/include
- local libdir="${EPREFIX}"/usr/$(get_libdir)
- cat >> site.cfg <<-EOF || die
- [blas]
- include_dirs = ${incdir}
- library_dirs = ${libdir}
- blas_libs = cblas,blas
- [lapack]
- library_dirs = ${libdir}
- lapack_libs = lapack
- EOF
- else
- export {ATLAS,PTATLAS,BLAS,LAPACK,MKL}=None
- fi
-
- export CC="$(tc-getCC) ${CFLAGS}"
-
- append-flags -fno-strict-aliasing
-
- # See progress in http://projects.scipy.org/scipy/numpy/ticket/573
- # with the subtle difference that we don't want to break Darwin where
- # -shared is not a valid linker argument
- if [[ ${CHOST} != *-darwin* ]]; then
- append-ldflags -shared
- fi
-
- # only one fortran to link with:
- # linking with cblas and lapack library will force
- # autodetecting and linking to all available fortran compilers
- append-fflags -fPIC
- if use lapack; then
- NUMPY_FCONFIG="config_fc --noopt --noarch"
- # workaround bug 335908
- [[ $(tc-getFC) == *gfortran* ]] && NUMPY_FCONFIG+=" --fcompiler=gnu95"
- fi
-
- # don't version f2py, we will handle it.
- sed -i -e '/f2py_exe/s: + os\.path.*$::' numpy/f2py/setup.py || die
-
- # disable fuzzed tests
- find numpy/*/tests -name '*.py' -exec sed -i \
- -e 's:def \(.*_fuzz\):def _\1:' {} + || die
- # very memory- and disk-hungry
- sed -i -e 's:test_large_zip:_&:' numpy/lib/tests/test_io.py || die
-
- distutils-r1_python_prepare_all
-}
-
-python_compile() {
- export MAKEOPTS=-j1 #660754
-
- distutils-r1_python_compile ${NUMPY_FCONFIG}
-}
-
-python_test() {
- local deselect=(
- numpy/typing/tests/test_typing.py::test_reveal[arrayterator.py]
- )
-
- if use arm && [[ $(uname -m || echo "unknown") == "armv8l" ]] ; then
- # Degenerate case. arm32 chroot on arm64.
- # bug #774108
- deselect+=(
- numpy/core/tests/test_cpu_features.py::Test_ARM_Features::test_features
- )
- fi
-
- distutils_install_for_testing --single-version-externally-managed \
- --record "${TMPDIR}/record.txt" ${NUMPY_FCONFIG}
-
- cd "${TEST_DIR}/lib" || die
- epytest ${deselect[@]/#/--deselect }
-}
-
-python_install() {
- # https://github.com/numpy/numpy/issues/16005
- local mydistutilsargs=( build_src )
- distutils-r1_python_install ${NUMPY_FCONFIG}
- python_optimize
-}
-
-python_install_all() {
- local DOCS=( LICENSE.txt README.md THANKS.txt )
-
- if use doc; then
- local HTML_DOCS=( "${WORKDIR}"/html/. )
- DOCS+=( "${DISTDIR}"/${PN}-{user,ref}-${DOC_PV}.pdf )
- fi
-
- distutils-r1_python_install_all
-}
diff --git a/dev-python/numpy/numpy-1.21.5.ebuild b/dev-python/numpy/numpy-1.21.5.ebuild
index 7669e653c967..4f04d41c28c2 100644
--- a/dev-python/numpy/numpy-1.21.5.ebuild
+++ b/dev-python/numpy/numpy-1.21.5.ebuild
@@ -22,7 +22,7 @@ SRC_URI="
)"
LICENSE="BSD"
SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv ~s390 ~sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
+KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
IUSE="doc lapack"
RDEPEND="
diff --git a/dev-python/ordered-set/ordered-set-4.0.2-r1.ebuild b/dev-python/ordered-set/ordered-set-4.0.2-r1.ebuild
new file mode 100644
index 000000000000..be409bbffab5
--- /dev/null
+++ b/dev-python/ordered-set/ordered-set-4.0.2-r1.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# please keep this ebuild at EAPI 7 -- sys-apps/portage dep
+EAPI=7
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
+inherit distutils-r1
+
+DESCRIPTION="A mutable set that remembers the order of its entries"
+HOMEPAGE="https://github.com/rspeer/ordered-set"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~riscv ~x86"
+
+distutils_enable_tests pytest
+
+src_configure() {
+ [[ -e pyproject.toml ]] &&
+ die "Upstream added pyproject.toml, recheck"
+ # write a custom pyproject.toml to ease setuptools bootstrap
+ cat > pyproject.toml <<-EOF || die
+ [build-system]
+ requires = ["flit_core >=3.2,<4"]
+ build-backend = "flit_core.buildapi"
+
+ [project]
+ name = "ordered-set"
+ dynamic = ["version", "description"]
+
+ [tool.flit.module]
+ name = "ordered_set"
+ EOF
+}
diff --git a/dev-python/ordered-set/ordered-set-4.0.2.ebuild b/dev-python/ordered-set/ordered-set-4.0.2.ebuild
index d2412ee27088..232fec4dd0f9 100644
--- a/dev-python/ordered-set/ordered-set-4.0.2.ebuild
+++ b/dev-python/ordered-set/ordered-set-4.0.2.ebuild
@@ -12,6 +12,6 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
-KEYWORDS="amd64 x86"
+KEYWORDS="amd64 ~riscv x86"
distutils_enable_tests pytest
diff --git a/dev-python/packaging/packaging-21.3-r2.ebuild b/dev-python/packaging/packaging-21.3-r2.ebuild
new file mode 100644
index 000000000000..9de64f7862b5
--- /dev/null
+++ b/dev-python/packaging/packaging-21.3-r2.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# please keep this ebuild at EAPI 7 -- sys-apps/portage dep
+EAPI=7
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
+inherit distutils-r1
+
+DESCRIPTION="Core utilities for Python packages"
+HOMEPAGE="
+ https://github.com/pypa/packaging/
+ https://pypi.org/project/packaging/"
+SRC_URI="
+ https://github.com/pypa/packaging/archive/${PV}.tar.gz -> ${P}.gh.tar.gz"
+
+SLOT="0"
+LICENSE="|| ( Apache-2.0 BSD-2 )"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+
+RDEPEND="
+ >=dev-python/pyparsing-3.0.6[${PYTHON_USEDEP}]
+"
+DEPEND="
+ test? (
+ dev-python/pretend[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_configure() {
+ # write a custom pyproject.toml to ease setuptools bootstrap
+ cat > pyproject.toml <<-EOF || die
+ [build-system]
+ requires = ["flit_core >=3.2,<4"]
+ build-backend = "flit_core.buildapi"
+
+ [project]
+ name = "packaging"
+ dynamic = ["version"]
+ description = "More routines for operating on iterables, beyond itertools"
+ EOF
+}
+
+python_test() {
+ epytest --capture=no
+}
diff --git a/dev-python/pdm-pep517/pdm-pep517-0.10.1-r1.ebuild b/dev-python/pdm-pep517/pdm-pep517-0.10.1-r1.ebuild
new file mode 100644
index 000000000000..8827fffee6d2
--- /dev/null
+++ b/dev-python/pdm-pep517/pdm-pep517-0.10.1-r1.ebuild
@@ -0,0 +1,65 @@
+# Copyright 2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=standalone
+PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
+inherit distutils-r1
+
+DESCRIPTION="A PEP 517 backend for PDM that supports PEP 621 metadata"
+HOMEPAGE="
+ https://pypi.org/project/pdm-pep517/
+ https://github.com/pdm-project/pdm-pep517/
+"
+SRC_URI="
+ https://github.com/pdm-project/pdm-pep517/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+ >=dev-python/cerberus-1.3.4[${PYTHON_USEDEP}]
+ >=dev-python/packaging-21.0[${PYTHON_USEDEP}]
+ >=dev-python/toml-0.10.2[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ ${RDEPEND}
+ test? (
+ dev-vcs/git
+ )
+"
+# setuptools are used to build C extensions
+RDEPEND+="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ rm -r pdm/pep517/_vendor || die
+ find -name '*.py' -exec sed \
+ -e 's:from pdm\.pep517\._vendor\.:from :' \
+ -e 's:from pdm\.pep517\._vendor ::' \
+ -i {} + || die
+ distutils-r1_src_prepare
+}
+
+src_test() {
+ git config --global user.email "test@example.com" || die
+ git config --global user.name "Test User" || die
+ distutils-r1_src_test
+}
+
+python_test() {
+ local EPYTEST_DESELECT=()
+ if [[ ${EPYTHON} == pypy3 ]]; then
+ EPYTEST_DESELECT+=(
+ tests/test_wheel.py::test_override_tags_in_wheel_filename
+ )
+ fi
+ epytest
+}
diff --git a/dev-python/pikepdf/Manifest b/dev-python/pikepdf/Manifest
index 4531c41846b4..dd123d85f944 100644
--- a/dev-python/pikepdf/Manifest
+++ b/dev-python/pikepdf/Manifest
@@ -1,2 +1,3 @@
DIST pikepdf-4.2.0.tar.gz 2337822 BLAKE2B ca966ae2c1be1805cc6ce99e34eb6692fe89bf29f1e6a3161eb04daa52e3890ae8d8859e4165801395efc5d3364d215ea5fc659fb344388a36bf32b638ad72bf SHA512 a01e2b0defbf6689b7d47346a85c07ae575ae57833d5be93e4099890ed5bb5b205595dc43ddd917ab4adc87ad591199c728c886358b8d4c03b1522193428e23d
DIST pikepdf-4.3.1.tar.gz 2348339 BLAKE2B 9b1f04a87e7e7d2dc2589eaa7db4a670e8ceda753191e473e1a5da9ead532121d0d7d4f734fa234d60a9b5a5931d022f46e252a8c69947e9553df67b81043a06 SHA512 0156ad57a9af2d39538f9f728231e931e1a44ecea74d26e850640fa062f2dc60d427deeea5fc25ab33037d11d7a403cefe5f930c7ed92be92a6d3432f87d8fa6
+DIST pikepdf-4.4.1.tar.gz 2350630 BLAKE2B 3a0973bda758952ad4f2bbbb37061882e86cc17776ff72a5ac69950c46adfe0584f447f3dbe0ddac80d41b3b183fe31caad96dbd4c1db4c14499b449c8cdd371 SHA512 4158ff7f8e5ee6098ea73ec3bc47686b3113d941d9522ded0ffd572e624d3b1099939b5103de8eb90c73048fe8ca2be8bc5e1b3946ebe8159df877cf9633f6fa
diff --git a/dev-python/pikepdf/pikepdf-4.4.1.ebuild b/dev-python/pikepdf/pikepdf-4.4.1.ebuild
new file mode 100644
index 000000000000..c1f3f584b9cd
--- /dev/null
+++ b/dev-python/pikepdf/pikepdf-4.4.1.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1
+
+MY_P=${P/_p/.post}
+DESCRIPTION="Python library to work with pdf files based on qpdf"
+HOMEPAGE="https://pypi.org/project/pikepdf/ https://github.com/pikepdf/pikepdf"
+SRC_URI="
+ https://github.com/${PN}/${PN}/archive/v${PV/_p/.post}.tar.gz
+ -> ${MY_P}.tar.gz"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+DEPEND=">=app-text/qpdf-10.3.1:0="
+RDEPEND="${DEPEND}
+ <dev-python/pillow-10[${PYTHON_USEDEP}]
+ >=dev-python/lxml-4.0[${PYTHON_USEDEP}]
+ >=dev-python/packaging-20[${PYTHON_USEDEP}]
+ >=dev-python/pybind11-2.7.1[${PYTHON_USEDEP}]"
+BDEPEND="
+ >=dev-python/pybind11-2.7.1[${PYTHON_USEDEP}]
+ >=dev-python/setuptools_scm-4.1[${PYTHON_USEDEP}]
+ dev-python/toml[${PYTHON_USEDEP}]
+ dev-python/setuptools_scm_git_archive[${PYTHON_USEDEP}]
+ test? (
+ >=dev-python/attrs-20.2.0[${PYTHON_USEDEP}]
+ >=dev-python/hypothesis-5[${PYTHON_USEDEP}]
+ >=dev-python/pillow-5.0.0[${PYTHON_USEDEP},jpeg,lcms,tiff]
+ >=dev-python/psutil-5[${PYTHON_USEDEP}]
+ >=dev-python/pytest-6[${PYTHON_USEDEP}]
+ >=dev-python/pytest-timeout-1.4.2[${PYTHON_USEDEP}]
+ >=dev-python/python-dateutil-2.8.0[${PYTHON_USEDEP}]
+ >=dev-python/python-xmp-toolkit-2.0.1[${PYTHON_USEDEP}]
+ )"
+
+#distutils_enable_sphinx docs \
+# dev-python/ipython \
+# dev-python/matplotlib \
+# dev-python/sphinx_rtd_theme
+distutils_enable_tests pytest
+
+src_prepare() {
+ sed -i -e '/-n auto/d' pyproject.toml || die
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/prometheus_client/Manifest b/dev-python/prometheus_client/Manifest
index 7e52edad9def..c854755c9683 100644
--- a/dev-python/prometheus_client/Manifest
+++ b/dev-python/prometheus_client/Manifest
@@ -1 +1,2 @@
DIST prometheus_client-0.12.0.tar.gz 73521 BLAKE2B eb90c7f3991519fe132f01612d6aadd10193947069b79e67c9e37faa4e174d739ca78b12de028dfc922cb368c7405baeb4fa929b378a91db12e67190ca3561ff SHA512 ebcbbed706a96a9402eb985f5da15ee8fae09de952144a89a3323e147c0d16615ccd9be58b50b5b8ede37d4f66de1e2ce93ed53c4da939ca2e44c7aac687a1f7
+DIST prometheus_client-0.13.0.tar.gz 73277 BLAKE2B 547966c22efdaaa76b821918e8e22ebc14f3a43b7f712c6c8be13d0a6ab3d94d56dd92576e63d1a9a0ba62a5ff662b717c5b6294f48a5e28fd40dfe4693706a2 SHA512 4991e534a78b08686f46ff7214cf2e19a97e302977a696460adfde1e0245d4cc115502a2cc9cb5d5f34401712ab6f84f9b77bb0f88aefaf9c534eadfe66803f3
diff --git a/dev-python/prometheus_client/prometheus_client-0.13.0.ebuild b/dev-python/prometheus_client/prometheus_client-0.13.0.ebuild
new file mode 100644
index 000000000000..d802e9d1df6b
--- /dev/null
+++ b/dev-python/prometheus_client/prometheus_client-0.13.0.ebuild
@@ -0,0 +1,25 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python client for the Prometheus monitoring system"
+HOMEPAGE="https://pypi.org/project/prometheus-client/
+ https://github.com/prometheus/client_python/"
+SRC_URI="
+ https://github.com/prometheus/client_python/archive/v${PV}.tar.gz
+ -> ${P}.tar.gz"
+S="${WORKDIR}/client_python-${PV}"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="dev-python/twisted[${PYTHON_USEDEP}]"
+
+distutils_enable_tests pytest
diff --git a/dev-python/proto-plus/Manifest b/dev-python/proto-plus/Manifest
index cd642392636c..01fdad8c9c9c 100644
--- a/dev-python/proto-plus/Manifest
+++ b/dev-python/proto-plus/Manifest
@@ -1,3 +1,4 @@
DIST proto-plus-1.19.2.gh.tar.gz 61183 BLAKE2B 8c1c0a70ae573fc8c64004e4bd923f403bf82dbb3f9aef19239770fcd316e513ba11e6e47c56bda65c88e476072f0d90af02c83eb0fe8a4045cf3ceeccca3fc7 SHA512 c3cfb1b6aabeb4eab7f6c2c16551c1f9fbf29dc3199b496bc4b47b4b80cbe4684e5c97abe26fa4c1afd03c844a2e8f006f16c24932d2a7cf8190452943c2fad0
DIST proto-plus-1.19.7.gh.tar.gz 64614 BLAKE2B 918bb04a084cff8a2188a68c31f08aebd25443fd399d69ba9734d002f773df2769904e4aa551cd1d93586ee4710f2b7160e6a8eb4160fe1bb846be18155a7b29 SHA512 118187a852a998deba3b5d7e700cd084eab966b549c7dba6150f318e9602f950a9533e27d775f9f0bca2fedaed6375b592bae42c55cf5aee8b52708fcc4691c8
DIST proto-plus-1.19.8.gh.tar.gz 64668 BLAKE2B d90ba4bd2404a0b05325e08e9ec39de0b819af00e9229ca54a7173364a99e0cedb584696093f3df7720d96f8291fad4f26b9963171de8ebd44396550dc932e17 SHA512 e9bd790ec7d2cc7fa54e5c8be374e4a7bc5c92899c5259e6985024fe1c9e25768c1355b808a9a4c38b132026412b2e7d91c5fe0098af661b1dac604b84aaf2ee
+DIST proto-plus-1.19.9.gh.tar.gz 64845 BLAKE2B 82f6021b912140c49e8625c51050a384f8375a3619a78537f6aadded03ce7524687e8f118cd4081c9a8376b3756c608ed781cac9808fb2c8d0bad9e32d2063ec SHA512 671dad31faf33a81bc90d98ffac599b51930f1f4f17c10c9a1dd5f242b3c55d04b9e59080197cdd42c1c430a72e1e812aadafbcf20cfb5da2fcd17c20e5a69e3
diff --git a/dev-python/proto-plus/proto-plus-1.19.9.ebuild b/dev-python/proto-plus/proto-plus-1.19.9.ebuild
new file mode 100644
index 000000000000..c1edf985f588
--- /dev/null
+++ b/dev-python/proto-plus/proto-plus-1.19.9.ebuild
@@ -0,0 +1,36 @@
+# Copyright 2021-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Beautiful, Pythonic protocol buffers"
+HOMEPAGE="https://pypi.org/project/proto-plus/ https://github.com/googleapis/proto-plus-python"
+SRC_URI="
+ https://github.com/googleapis/proto-plus-python/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+S="${WORKDIR}/${PN}-python-${PV}"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ dev-python/protobuf-python[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/google-api-core[${PYTHON_USEDEP}]
+ dev-python/grpcio[${PYTHON_USEDEP}]
+ dev-python/pytz[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+distutils_enable_sphinx docs \
+ dev-python/sphinx_rtd_theme
diff --git a/dev-python/py-zabbix/Manifest b/dev-python/py-zabbix/Manifest
new file mode 100644
index 000000000000..771920ad78c8
--- /dev/null
+++ b/dev-python/py-zabbix/Manifest
@@ -0,0 +1 @@
+DIST py-zabbix-1.1.7.tar.gz 11447 BLAKE2B a61450f4d1783bbf6879b94300ae71fbecded5f232c234402d19c59af9bea5f1ef164c549a433a4b221032b6105d4ecd0f3515104ed8f02d3da8888ee3c45a90 SHA512 eaa8c5e5ad5604ad4ad41de439ab7856f6907346caa56bed67520df3316f313038e300cbf96f8389dca5be30079392406bcbb26f3ba40d2ef39ccd2fc99c11b6
diff --git a/dev-python/py-zabbix/metadata.xml b/dev-python/py-zabbix/metadata.xml
new file mode 100644
index 000000000000..1ee3adfd4139
--- /dev/null
+++ b/dev-python/py-zabbix/metadata.xml
@@ -0,0 +1,13 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>alexxy@gentoo.org</email>
+ <name>Alexey Shvetsov</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="pypi">py-zabbix</remote-id>
+ </upstream>
+ <origin>gentoo-staging</origin>
+ <stabilize-allarches/>
+</pkgmetadata> \ No newline at end of file
diff --git a/dev-python/py-zabbix/py-zabbix-1.1.7.ebuild b/dev-python/py-zabbix/py-zabbix-1.1.7.ebuild
new file mode 100644
index 000000000000..b77e3445deb7
--- /dev/null
+++ b/dev-python/py-zabbix/py-zabbix-1.1.7.ebuild
@@ -0,0 +1,16 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Zabbix module for Python"
+HOMEPAGE="https://pypi.org/project/py-zabbix https://github.com/adubkov/py-zabbix"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64"
diff --git a/dev-python/pyparsing/pyparsing-3.0.7-r1.ebuild b/dev-python/pyparsing/pyparsing-3.0.7-r1.ebuild
new file mode 100644
index 000000000000..73e10faf16a8
--- /dev/null
+++ b/dev-python/pyparsing/pyparsing-3.0.7-r1.ebuild
@@ -0,0 +1,60 @@
+# Copyright 2004-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# please keep this ebuild at EAPI 7 -- sys-apps/portage dep
+EAPI=7
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
+inherit distutils-r1
+
+MY_P=${P/-/_}
+DESCRIPTION="Easy-to-use Python module for text parsing"
+HOMEPAGE="https://github.com/pyparsing/pyparsing https://pypi.org/project/pyparsing/"
+SRC_URI="https://github.com/${PN}/${PN}/archive/${MY_P}.tar.gz"
+S="${WORKDIR}/${PN}-${MY_P}"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="examples"
+
+distutils_enable_tests pytest
+
+EPYTEST_IGNORE=(
+ # railroad-diagrams not packaged (and not suitable for packaging yet)
+ tests/test_diagram.py
+)
+
+EPYTEST_DESELECT=(
+ # also railroad-diagrams
+ tests/test_unit.py::Test02_WithoutPackrat::testEmptyExpressionsAreHandledProperly
+ tests/test_unit.py::Test04_WithPackrat::testEmptyExpressionsAreHandledProperly
+ tests/test_unit.py::Test06_WithBoundedPackrat::testEmptyExpressionsAreHandledProperly
+ tests/test_unit.py::Test08_WithUnboundedPackrat::testEmptyExpressionsAreHandledProperly
+ tests/test_unit.py::Test09_WithLeftRecursionParsing::testEmptyExpressionsAreHandledProperly
+ tests/test_unit.py::Test10_WithLeftRecursionParsingBoundedMemo::testEmptyExpressionsAreHandledProperly
+)
+
+src_configure() {
+ [[ -e pyproject.toml ]] &&
+ die "Upstream added pyproject.toml, recheck"
+ # write a custom pyproject.toml to ease setuptools bootstrap
+ cat > pyproject.toml <<-EOF || die
+ [build-system]
+ requires = ["flit_core >=3.2,<4"]
+ build-backend = "flit_core.buildapi"
+
+ [project]
+ name = "pyparsing"
+ dynamic = ["version", "description"]
+ EOF
+}
+
+python_install_all() {
+ if use examples; then
+ docompress -x /usr/share/doc/${PF}/examples
+ dodoc -r examples
+ fi
+ distutils-r1_python_install_all
+}
diff --git a/dev-python/python-systemd/python-systemd-234-r1.ebuild b/dev-python/python-systemd/python-systemd-234-r1.ebuild
index e75a6ebdf017..fbd309981d9c 100644
--- a/dev-python/python-systemd/python-systemd-234-r1.ebuild
+++ b/dev-python/python-systemd/python-systemd-234-r1.ebuild
@@ -14,7 +14,7 @@ SRC_URI="https://github.com/systemd/python-systemd/archive/v${PV}.tar.gz -> ${P}
LICENSE="LGPL-2.1"
SLOT="0"
-KEYWORDS="~alpha amd64 ~arm arm64 ~hppa ~ppc ~ppc64 ~sparc x86"
+KEYWORDS="~alpha amd64 ~arm arm64 hppa ~ppc ~ppc64 ~sparc x86"
DEPEND="sys-apps/systemd:0="
RDEPEND="${DEPEND}
diff --git a/dev-python/reportlab/Manifest b/dev-python/reportlab/Manifest
index 2e012aa9a652..a3a16313bf77 100644
--- a/dev-python/reportlab/Manifest
+++ b/dev-python/reportlab/Manifest
@@ -1,3 +1,4 @@
DIST pfbfer-20070710.zip 677333 BLAKE2B 100214476a361a5e5d1f3da0999591345f6e3a3f8c6bc3f6a3e9eca734190c6259758a43302c6e41254d33491fe535eb7d5dd07aa9727c912424bebc31fc18df SHA512 6fd4a5d955464b10d13a7b748703450c1fe120d5ed09e8cfa1b4dfa9c183c59fe001df29433af551796b0df62544b7ddc364f9bb1bdcc2cd300434340ffcc4f2
DIST reportlab-3.6.3.tar.gz 4502282 BLAKE2B 32f096eaa6526eaa3460f85f85e9e2e3947a4f774cce4306248fabd061e0acce3ffcc711552928ddf7d7d6b0cbb8e6629fbf35cbd15176972e0739cf6fd4751e SHA512 7e2f284a322371aa217ed60b966721b0ea5e2419e76bcc50ade9924e0ce6c3f5f9858500b17457883c41738ce5989624b87d26408a8afb65f737e82884b9c7df
DIST reportlab-3.6.5.tar.gz 4503259 BLAKE2B a394be1fb12808c31aa452da864103487e7d3f04aa3bb173f104e08ff83601da3c9c985c60b0a7b06d9795f87afbafec5a5d0ce1b615e64d1fd648109313eb04 SHA512 47579a5997f4a2f1fc7f2fb2cba7ca6e27913308926dc1e024a169f6ae52a11d62198c56ab9f0e3aae25a12b6c235fd8d4943f8400e8a9bcec937501aa406d76
+DIST reportlab-3.6.6.tar.gz 4509457 BLAKE2B d2cb5c764aa86000dd97798b5aea25fdc07e4230015dda6c11099e379884ca74532327dfe723069d5e56569dd7e120d94918f64a5f705bfef212b484f812aa7b SHA512 6f05e5f7c6b6c0b6f8d65fe11e2900ecd427f6c293672b12a4cc094476da1cdebc0df59198660614251d388241d7c886c345f958d337d351ea048b3b25a71ba5
diff --git a/dev-python/reportlab/reportlab-3.6.6.ebuild b/dev-python/reportlab/reportlab-3.6.6.ebuild
new file mode 100644
index 000000000000..8dbb4b90f478
--- /dev/null
+++ b/dev-python/reportlab/reportlab-3.6.6.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Tools for generating printable PDF documents from any data source"
+HOMEPAGE="
+ https://www.reportlab.com/
+ https://pypi.org/project/reportlab/"
+SRC_URI="
+ mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz
+ https://www.reportlab.com/ftp/fonts/pfbfer-20070710.zip"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+DEPEND="
+ media-libs/freetype
+ media-libs/libart_lgpl
+ sys-libs/zlib:="
+RDEPEND="
+ ${DEPEND}
+ dev-python/pillow[tiff,truetype,jpeg(+),${PYTHON_USEDEP}]"
+BDEPEND="
+ app-arch/unzip"
+
+distutils_enable_sphinx docs/source
+
+PATCHES=(
+ # bug 738312, remove -L/usr/lib from link line
+ "${FILESDIR}"/${PN}-3.5.48-usr-lib-LLD.patch
+)
+
+src_unpack() {
+ unpack ${P}.tar.gz
+ cd ${P}/src/reportlab/fonts || die
+ unpack pfbfer-20070710.zip
+}
+
+src_configure() {
+ cat > local-setup.cfg <<-EOF || die
+ [OPTIONS]
+ no-download-t1-files = 1
+ use-system-libart = 1
+ EOF
+}
+
+python_test() {
+ pushd tests >/dev/null || die
+ "${EPYTHON}" runAll.py -v || die "Testing failed with ${EPYTHON}"
+ popd >/dev/null || die
+}
diff --git a/dev-python/setuptools/setuptools-60.5.0-r1.ebuild b/dev-python/setuptools/setuptools-60.5.0-r1.ebuild
new file mode 100644
index 000000000000..b7026fa14e81
--- /dev/null
+++ b/dev-python/setuptools/setuptools-60.5.0-r1.ebuild
@@ -0,0 +1,107 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# please keep this ebuild at EAPI 7 -- sys-apps/portage dep
+EAPI=7
+
+# Set to 'manual' to avoid triggering install QA check
+DISTUTILS_USE_SETUPTOOLS=manual
+PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
+PYTHON_REQ_USE="xml(+)"
+
+inherit distutils-r1 multiprocessing
+
+CPY_PATCHSET="python-gentoo-patches-3.10.0_p1"
+DESCRIPTION="Collection of extensions to Distutils"
+HOMEPAGE="https://github.com/pypa/setuptools https://pypi.org/project/setuptools/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz
+ https://dev.gentoo.org/~floppym/python/${CPY_PATCHSET}.tar.xz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~riscv ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ dev-python/appdirs[${PYTHON_USEDEP}]
+ dev-python/more-itertools[${PYTHON_USEDEP}]
+ dev-python/ordered-set[${PYTHON_USEDEP}]
+ dev-python/packaging[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ ${RDEPEND}
+ test? (
+ $(python_gen_cond_dep '
+ dev-python/build[${PYTHON_USEDEP}]
+ >=dev-python/filelock-3.4.0[${PYTHON_USEDEP}]
+ >=dev-python/jaraco-envs-2.2[${PYTHON_USEDEP}]
+ >=dev-python/jaraco-path-3.2.0[${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pip[${PYTHON_USEDEP}]
+ dev-python/sphinx[${PYTHON_USEDEP}]
+ dev-python/pytest[${PYTHON_USEDEP}]
+ dev-python/pytest-fixture-config[${PYTHON_USEDEP}]
+ dev-python/pytest-virtualenv[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ dev-python/tomli[${PYTHON_USEDEP}]
+ >=dev-python/virtualenv-20[${PYTHON_USEDEP}]
+ dev-python/wheel[${PYTHON_USEDEP}]
+ ' python3_{8..10} pypy3)
+ )
+"
+PDEPEND="
+ >=dev-python/certifi-2016.9.26[${PYTHON_USEDEP}]
+ dev-python/setuptools_scm[${PYTHON_USEDEP}]"
+
+# Force in-source build because build system modifies sources.
+DISTUTILS_IN_SOURCE_BUILD=1
+
+DOCS=( {CHANGES,README}.rst )
+
+src_prepare() {
+ # remove bundled dependencies, setuptools will switch to system deps
+ # automatically
+ rm -r */_vendor || die
+
+ # apply distutils patches to the bundled distutils
+ pushd setuptools/_distutils >/dev/null || die
+ # TODO: distutils C++ patch?
+ eapply -p3 "${WORKDIR}/${CPY_PATCHSET}/0006-distutils-make-OO-enable-both-opt-1-and-opt-2-optimi.patch"
+ popd >/dev/null || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local -x SETUPTOOLS_USE_DISTUTILS=stdlib
+
+ # keep in sync with python_gen_cond_dep above!
+ has "${EPYTHON}" python3.{8..10} pypy3 || continue
+
+ distutils_install_for_testing
+ local EPYTEST_DESELECT=(
+ # network
+ setuptools/tests/integration/test_pip_install_sdist.py::test_install_sdist
+ setuptools/tests/test_distutils_adoption.py
+ setuptools/tests/test_virtualenv.py::test_clean_env_install
+ setuptools/tests/test_virtualenv.py::test_no_missing_dependencies
+ 'setuptools/tests/test_virtualenv.py::test_pip_upgrade_from_source[None]'
+ setuptools/tests/test_virtualenv.py::test_test_command_install_requirements
+ # unhappy with pytest-xdist?
+ setuptools/tests/test_easy_install.py::TestUserInstallTest::test_local_index
+ # TODO
+ setuptools/tests/test_easy_install.py::TestSetupRequires::test_setup_requires_with_allow_hosts
+ setuptools/tests/test_test.py::test_tests_are_run_once
+ )
+
+ # test_easy_install raises a SandboxViolation due to ${HOME}/.pydistutils.cfg
+ # It tries to sandbox the test in a tempdir
+ HOME="${PWD}" epytest \
+ -n "$(makeopts_jobs "${MAKEOPTS}" "$(get_nproc)")" setuptools
+}
+
+python_install() {
+ export DISTRIBUTE_DISABLE_VERSIONED_EASY_INSTALL_SCRIPT=1
+ distutils-r1_python_install
+}